MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0021762Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2010-05-28 11:042013-10-14 21:01
Reporterpkv 
Assigned Toemv 
PriorityurgentSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version[OCCT] 6.4.0 
Target Version[OCCT] 6.6.0Fixed in Version[OCCT] 6.6.0 
Summary0021762: Integration new Boolean Operation algorithm to OCC
DescriptionThe bug is in accordance with cofirmed OCC FIP
"Integration new Boolean Operation algorithm to OCC".
TagsNo tags attached.
Test case numberNot needed
Attached Filesdoc file icon Contents of delivery.doc (34,304 bytes) 2010-05-28 11:04
gz file icon OCC21762-pkv-v1.tar.gz (152,322 bytes) 2010-05-31 19:09
zip file icon fix_v1.zip (11,530 bytes) 2010-06-03 14:08
zip file icon fix_v2.zip (183,456 bytes) 2010-07-07 08:04
zip file icon fix_v2_1.zip (234,376 bytes) 2010-07-07 14:30
zip file icon pkv913A1.zip (7,436 bytes) 2010-12-02 15:28
zip file icon pkv913A1_v2.zip (17,492 bytes) 2010-12-10 10:38
zip file icon pkv913A1_v3.zip (17,499 bytes) 2011-02-01 13:20
cxx file icon IntTools_FaceFace.cxx (125,065 bytes) 2011-05-13 09:49

- Relationships
parent of 0023749closedemv Open CASCADE Tests cases boolean bsection M9 N4 work incorrect with new Boolean Operation Algorithm 
parent of 0023853closedomy Community BOP regression (2) - BRepAlgoAPI_Cut 
related to 0022027closedapn Community <bop> command between two faces raises exception 
related to 0023296closedPawel Community Not verifying method return flag 
related to 0023295closedPawel Community A part of conditional expression is always true 
related to 0023294closedPawel Community Identical sub-expression in 'if-clause' 
related to 0023613closedemv Open CASCADE Add diagnostic tool for BOP 
related to 0023659closedabk Open CASCADE Cannot project point on the attached curve 
related to 0023667feedbacknbv Open CASCADE checkshape command does not detect problems in the attached shape 
related to 0023666closedbugmaster Open CASCADE Wrong section curve between attached faces 
related to 0022793closedbugmaster Community Boolean cut operation hangs computer 
related to 0023366closedapn Community Cut operation produces invalid shape 
related to 0023849closedemv Community BOP regression (1) - BRepAlgoAPI_Common 
related to 0024258assignedemv Open CASCADE Classes in TKBO toolkit lack documentation 

-  Notes
(0019412)
emv (developer)
2012-02-07 08:33
edited on: 2012-02-07 10:57

SVN branch http://svn/svn/occt/branches/0021762 [^] is ready to be reviewed.
This branch is created for testing only and not for integration.

(0019599)
mkv (tester)
2012-02-16 15:18

Dear BugMaster,
Workbench KAS:dev:mkv-21762-occt was created from SVN branch http://svn/svn/occt/branches/0021762 [^]
(and mkv-21762-products from trunk) and compiled on Linux platform.

There are following regressions in mkv-21762-products regarding to KAS:dev:products-20120203-opt

chl 902 A4
chl 913 E3
chl 918 H5
chl 922 I5 I6 I7 I8 L3 R9
chl 927 N4 N5 N7 N8
chl 929 D1 D2 D5 D6 D8 W7
chl 934 E4
chl 936 W9 X1

cin 202 A1 A2

cte 001 C1
cte 003 C1
cte 004 A6

pkv 900 P5
pkv 909 C2
pkv 911 C1 C2 C3 C4 D1 D2 D3 D4 E1 E2 E3 E4 F1 F2 F3 F4

See results in /QADisk/occttests/results/KAS/dev/mkv-21762-products_14022012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120203-opt_03022012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]
(0019866)
emv (developer)
2012-03-05 13:38

SVN branch http://svn/svn/occt/branches/0021762 [^] is ready to be reviewed.
The branch contains the fixes for the cases chl/934/E4, pkv/900/P5 and pkv/909/C2.
The results of the cases
  chl 936 W9 X1
  cte 001 C1
  cte 003 C1
are correct.
Please test only, do not integrate.
(0019940)
mkv (tester)
2012-03-12 18:25

Dear BugMaster,
Workbench KAS:dev:mkv-21762-occt was created from SVN branch http://svn/svn/occt/branches/0021762 [^]
(and mkv-21762-products from trunk) and compiled on Linux platform.

There are following regressions in mkv-21762-products regarding to KAS:dev:products-20120306-opt
Regressions
cda 002 C2
che 003 C1 C2 C4
chl 902 A4
chl 919 V9 W1
chl 922 L3 R9
chl 927 N4 N5 N7 N8
chl 929 D1 D2 D5 D6 D8
chl 936 W9 X1
cin 001 E5
cin 202 A1 A2
cte 001 C1 T1
cte 003 C1
cte 004 A6
pkv 909 G2
pkv 911 C1 C2 C3 C4 D1 D2 D3 D4 E1 E2 E3 E4 F1 F2 F3 F4

Improvements
cfi 002 N1 N2
chl 902 H3 Q3
chl 910 E1
chl 913 F2
chl 919 X6
chl 922 N7 R7
chl 926 C7
chl 934 U9 V2
chl 935 Z6
cin 900 N1
pkv 103 D1 G5
pkv 909 B1

See results in /QADisk/occttests/results/KAS/dev/mkv-21762-products_11032012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120306-opt_07032012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]
(0020090)
emv (developer)
2012-03-22 12:24

Git branch CR21762 is ready to be reviewed.
Please test only, do not integrate.
(0020126)
mkv (tester)
2012-03-23 18:19

Dear BugMaster,
Workbench KAS:dev:mkv-21762-occt-2 was created from git branch CR21762
(and mkv-21762-products-2 from svn trunk) and compiled on Linux platform.

There are following regressions in mkv-21762-products-2 regarding to KAS:dev:products-20120320-opt

bom 900 M3 R4 R5
bom 904 H1
bom 909 F7

cda 002 C2

chl 902 A4
chl 922 C9 L3
chl 927 K1 N4 N5 N7 N8 P8 P9 Q3 Q5 Q6 Q7
chl 929 W7
chl 934 V2
chl 936 W9 X1 Y9 Z6 Z7
chl 937 A6

cin 001 E5
cin 202 A1 A2

cte 001 C1 T1
cte 003 C1
cte 004 A6

pkv 102 S1
pkv 900 L7 M3 R4 R5
pkv 904 G2 H1
pkv 909 F7 G2
pkv 910 D3 D5
pkv 911 C1 C2 C3 C4 D1 D2 D3 D4 E1 E2 E3 E4 F1 F2 F3 F4

See results in /QADisk/occttests/results/KAS/dev/mkv-21762-products-2_22032012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120320-opt_20032012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]
(0020133)
emv (developer)
2012-03-26 12:03

Git branch CR21762 is ready to be reviewed. Missing commands have been added.
Please test only, do not integrate.
(0020162)
mkv (tester)
2012-03-27 15:32

Dear BugMaster,
Workbench KAS:dev:mkv-21762-occt-2 was created from git branch CR21762
(and mkv-21762-products-2 from svn trunk) and compiled on Linux platform.

There are following regressions in mkv-21762-products-2 regarding to KAS:dev:products-26032012-opt

cda 002 C2

chl 902 A4
chl 922 L3 R9
chl 927 K1 N4 N5 N7 N8
chl 929 D1 D2 D5 D6 D8 W7
chl 936 W9 X1
chl 937 A6

cin 001 E5
cin 202 A1 A2

cte 001 C1
cte 003 C1
cte 004 A6

pkv 900 L7
pkv 909 G2
pkv 911 C1 C2 C3 C4 D1 D2 D3 D4 E1 E2 E3 E4 F1 F2 F3 F4

See results in /QADisk/occttests/results/KAS/dev/mkv-21762-products-2_26032012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120320-opt_20032012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]
(0020265)
emv (developer)
2012-04-05 08:21

Git branch CR21762 is ready to be reviewed. Branch contains the fix for the case chl 927 K1.
Please test only, do not integrate.
(0020266)
abv (manager)
2012-04-05 08:36

Review remark: when adding some non-obvious code (such as "magic number" 1.1 in this case), please provide comment in the code explaining its purpose.

Please test
(0020277)
aan (developer)
2012-04-05 18:22

Dear BugMaster,
Workbench KAS:dev:aan-21762-occt was created from git branch CR21762
(and aan-21762-products from svn trunk) and compiled on Linux platform.

There are following regressions in aan-21762-products regarding to KAS:dev:products-20120330-opt

chl 902 A4 Q1 Q2
chl 919 V9 W1
chl 922 L3 R9
chl 927 G9 H9 K1 N5 N7 N8
chl 929 D1 D2 D5 D6 D8
chl 934 N9 U5 W1 W2 W3 W5 W6 X3
chl 936 W9 X1 Z5 Z9
chl 937 A6

chl 922 N7

chl 901 A1 A2
chl 902 Q3
chl 919 X5 X9
chl 927 I9

chl 906 A1 B1
chl 910 I1
chl 919 W2
chl 922 N8

cda 002 C2

cfe 900 G1

che 002 E2 E5 F3 F5 G5 H3 H5

cin 001 E5
cin 202 A1 A2

cte 001 C1
cte 003 C1
cte 004 A6

pkv 900 L7
pkv 909 G2
pkv 910 A5 C7
pkv 911 C1 C2 C3 C4 D1 D2 D3 D4 E1 E2 E3 E4 F1 F2 F3 F4

See results in /QADisk/occttests/results/KAS/dev/aan-21762-products_05042012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120330-opt_30032012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]
(0020418)
emv (developer)
2012-04-19 13:59

Git branch CR21762 is ready to be reviewed. Branch contains the fix for the case chl 927 K1.
Please test only, do not integrate.
(0020422)
apn (administrator)
2012-04-20 12:03
edited on: 2012-04-20 12:04

Dear BugMaster,
 Workbench KAS:dev:mkv-21762-occt-3 was created from git branch CR21762 (and mkv-21762-products-3 from svn trunk) and compiled on Linux platform.
 
  There are following regressions in mkv-21762-products-3 regarding to KAS:dev:products-20120415-opt:
 cda 002 C2

 cfe 900 G1

 chl 902 Q1 Q2
 chl 922 L3 R9
 chl 929 D1 D2 D5 D6 D8 W7
 chl 934 N9 U5 V9 W1 W2 W3
 chl 936 W9 X1
 chl 937 A6
 chl 922 N7
 chl 901 A1 A2
 chl 902 Q3
 chl 919 X9
 chl 927 I9
 chl 906 A1 B1
 chl 910 I1
 chl 919 W2
 chl 922 N8
  
 cte 001 C1
 cte 003 C1
 
 pkv 900 L7
 pkv 909 G2
 pkv 910 A4 A5

 There are following improvements in mkv-21762-products-3 regarding to KAS:dev:products-20120415-opt:

 cfi 002 N1 N2

 chl 902 H3
 chl 910 E1
 chl 913 F2
 chl 919 X6
 chl 922 R7
 chl 926 C7
 chl 929 T2
 chl 929 T4
 chl 929 T5
 chl 935 Z6
 chl 937 B6
 
 cin 900 N1
 
 pkv 103 D1
 pkv 103 G5
 pkv 909 B1
 
 See results in /QADisk/occttests/results/KAS/dev/mkv-21762-products-3_19042012/lin
 See reference results in /QADisk/occttests/results/KAS/dev/products-20120415-opt_13042012/lin
 See test cases in /QADisk/occttests/tests/ED

(0020632)
emv (developer)
2012-06-04 07:59

Git branch CR21762 is ready to be reviewed. Feature algorithm ported on new BO algorithm.
Please test only, do not integrate.
(0020633)
abv (manager)
2012-06-04 08:26

Some remarks:

1. BOPAlgo_Builder.cdl
   - please document new methods (Splits, ShapesDS, IsDeleted1)
   - why this strange name "IsDeleted1"? Can this method get meaningful name?
2. BOPDS_DS.cdl: please document new method (SplitsInFaces)
3. BRepFeat_Builder.cdl: please document a class and its methods (all)
(0020634)
abv (manager)
2012-06-04 08:32

Please test (do not integrate)
(0020640)
emv (developer)
2012-06-04 14:40

Git branch CR21762 is ready to be reviewed. Changed according to remarks.
Please test only, do not integrate.
(0020641)
abv (manager)
2012-06-04 14:48

Please test
(0020654)
mkv (tester)
2012-06-06 19:16

Dear BugMaster,
The workbenches
KAS:dev:mkv-21762-occt-4 (GIT branch CR21762)
KAS:dev:mkv-21762-products-4 (GIT master)
were compiled on Linux platform and tested.

Regression:
cda 002 C2
chl 902 Q1 Q2
chl 922 L3 R9
chl 929 D1 D2 D5 D6 D8
chl 934 N9 U5 V9 W1 W2 W3 W6 X8 Z4 Z5
chl 935 P1
chl 936 W9 X1
chl 937 B5
cte 001 C1
cte 003 C1
pkv 900 L7
pkv 909 G2
pkv 910 A4 A5


Improvements:
cfi 002 N1 N2
chl 910 E1
chl 913 F2
chl 919 X6
chl 922 M8 N7 R7
chl 926 C7
chl 927 S8
chl 929 T2 T4 T5
chl 935 Z6
chl 937 B6
cin 900 N1
off 001 J1
pkv 103 D1 G5
pkv 909 B1
pkv 913 A1

See results in /QADisk/occttests/results/KAS/dev/mkv-21762-products-4_04062012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120415-opt_13042012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]
(0020656)
emv (developer)
2012-06-07 15:08
edited on: 2012-06-07 15:13

Git branch CR21762_2 is ready to be reviewed. Branch has been rebased on current version of OCCT.
Please test only, do not integrate.

(0020659)
abv (manager)
2012-06-07 15:19

Reviewed, please test
(0020667)
mkv (tester)
2012-06-08 11:49

Dear BugMaster,
The workbenches
KAS:dev:mkv-21762-occt-5 (GIT branch CR21762_2)
KAS:dev:mkv-21762-products-5 (GIT master)
were compiled on Linux platform and tested.

Regression:
cda 002 C2
chl 922 L3 R9
chl 928 T6
chl 929 D1 D2 D5 D6 D8
chl 936 W9 X1
chl 901 A1
cte 001 C1
cte 003 C1
pkv 900 L7
pkv 909 G2

Improvements:
cfi 002 N1 N2
chl 902 H3
chl 910 E1
chl 913 F2
chl 919 X6
chl 922 R7
chl 926 C7
chl 927 S8
chl 929 T2 T4 T5
chl 935 Z6
chl 937 B6
cin 900 N1
pkv 103 D1 G5
pkv 909 B1
pkv 913 A1

See results in /QADisk/occttests/results/KAS/dev/mkv-21762-products-5_07062012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120525-opt_25052012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]
(0020860)
emv (developer)
2012-07-05 12:15
edited on: 2012-07-06 09:20

Git branch CR21762 is ready to be reviewed.
Please test only, do not integrate.

(0020884)
mkv (tester)
2012-07-09 18:45

Dear BugMaster,
The workbenches
KAS:dev:apn-21762-occt (GIT branch CR21762)
KAS:dev:apn-21762-products (GIT master)
were compiled on Linux platform and tested.

Regression:
caf 007 A9 B1 B2 B3 B5 B6
cda 002 C2
cfe 006 A1
chl 920 A2 A4
chl 922 L3 T5
chl 927 P8 P9 Q3 Q5 Q6 Q7
chl 929 D1 D2 D5 D6 D8 U4
chl 930 Q2 Q8 R2 S8 T2 T5 T8 V5 V8 W2 W5
chl 936 W9 X1
cte 001 C1
cte 003 C1
nam 001 A9
pkv 900 L7
pkv 909 G2

Improvements:
cfe 004 C4
cfe 900 D3
cfi 002 N1 N2
chl 902 H3
chl 910 E1
chl 913 F2
chl 919 X6
chl 922 R7 S7
chl 927 S8
chl 929 T2 T4 T5
chl 935 Z6
chl 937 B6
cin 900 N1
pkv 103 D1 G5
pkv 909 B1
pkv 913 A1

Testing case:
Not needed

See results in /QADisk/occttests/results/KAS/dev/apn-21762-products_06072012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120622-opt_22062012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]
(0020940)
emv (developer)
2012-07-13 08:57

Git branch CR21762 is ready to be reviewed.
Please test only, do not integrate.
(0020980)
apn (administrator)
2012-07-16 11:53

Dear BugMaster,
The workbenches
KAS:dev:mkv-21762-occt-7 (GIT branch CR21762)
KAS:dev:mkv-21762-products-7 (GIT master)
were compiled on Linux platform and tested.

Regression:
caf 007 B1 B6 B7
cda 002 C2
cfe 006 A2
chl 920 A2 A4
chl 922 L3 R9 T5
chl 927 P8 P9 Q3 Q5 Q6 Q7
chl 929 D1 D2 D5 D6 D8
chl 930 Q2 Q8 R2 S8 T2 T5 T8 V5 V8 W2 W5
chl 936 W9 X1
cte 001 C1
cte 003 C1
nam 001 A9
pkv 900 L7
pkv 909 G2

Improvements:
cfe 004 C4
cfe 900 D3
cfi 002 N1 N2
chl 902 H3
chl 910 E1
chl 913 F2
chl 919 X6
chl 922 R7 S7
chl 926 C7
chl 927 S8
chl 929 T2 T4 T5
chl 935 Z6
chl 937 B6
cin 900 N1
pkv 103 D1 G5
pkv 909 B1
pkv 913 A1

Testing case:
Not needed

See results in /QADisk/occttests/results/KAS/dev/mkv-21762-products-7_13072012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120622-opt_22062012/lin
See test cases in /QADisk/occttests/tests/ED
(0021226)
emv (developer)
2012-08-10 11:21

Git branch CR21762 is ready to be reviewed.
Please test only, do not integrate.
(0021238)
abv (manager)
2012-08-15 11:03

In IntTools_EdgeEdge.cxx, line 1515, comparison "aCos == 1." is not safe (aCos can be slightly greater than 1. due to floating point imprecision). I suggest replacing it by "aCos >= 1.".
(0021240)
emv (developer)
2012-08-15 14:13
edited on: 2012-08-15 14:14

When aCos is greater than 1. the variable Ang2 will be evaluated by the formula "Ang2=2.*(1.-aCos)". But when aCos==1. this formula does not work properly on Linux platform in release mode.

(0021287)
emv (developer)
2012-08-20 08:49

Git branch CR21762 is ready to be reviewed.
Please test only, do not integrate.
(0021326)
apn (administrator)
2012-08-23 15:11
edited on: 2012-08-23 15:12

Dear BugMaster,
Branch CR21762 (and products from GIT master) was compiled on Linux and Windows platforms and tested.

Regression:
chl 920 A2 A4
chl 922 L3 R9 T5
chl 927 P8 P9 Q3 Q5 Q6 Q7
chl 929 D1 D2 D5 D6 D8
chl 936 W9 X1

nam 001 A9

regressions in jenkins
http://jenkins-test-01.nnov.opencascade.com:8080/user/mnt/my-views/view/tests/ [^]

Improvements:
chl 902 H3
chl 910 E1
chl 913 F2
chl 919 X6
chl 922 R7 S7
chl 926 C7
chl 929 T2 T4 T5
chl 935 K0 L0 Z6
chl 937 B6

Testing case:
Not needed

See results in http://jenkins-test-01.nnov.opencascade.com:8080/user/mnt/my-views/view/tests/ [^]
See results in /QADisk/occttests/results/KAS/dev/CR21762-master-products_21082012/lin
See reference results in /QADisk/occttests/results/KAS/dev/IR-2012-08-10-master-products_10082012/lin

(0021440)
emv (developer)
2012-09-10 09:44

Git branch CR21762 is ready to be reviewed.
Please test only, do not integrate.
(0021445)
abv (manager)
2012-09-10 11:15

Reviewed, please test.
(0021474)
apn (administrator)
2012-09-13 12:05

Dear BugMaster,
Branch CR21762 (and products from GIT master) was compiled on Linux and Windows platforms and tested.

Regression:
chl 901 A1 (wrong image)
chl 920 A2
chl 922 L3 L7 R9 T5
chl 927 P8 P9 Q3 Q5 Q6 Q7
chl 927 S4 S5 S6 S7 (CPU user time is wrong)
chl 929 D1 D2 D5 D6 D8
chl 936 W9 X1

Linux:
http://jenkins-test-01.nnov.opencascade.com:8080/job/mnt-CR21762-master_occt_tests_linux_start/ [^]

WNT:
http://jenkins-test-01.nnov.opencascade.com:8080/job/mnt-CR21762-master_occt_tests_windows_start/ [^]

Improvements:
chl 902 H3
chl 910 E1
chl 913 F2
chl 919 X6
chl 922 R7 S7
chl 922 N7 (but there is no image)
chl 926 C7
chl 929 T2 T4 T5
chl 935 K0 L0 Z6
chl 937 B6

Testing case:
Not needed

See results in /QADisk/occttests/results/KAS/dev/CR21762-master-products_21082012/lin
See reference results in /QADisk/occttests/results/KAS/dev/IR-2012-08-24-master-products_24082012/lin
See test cases in /QADisk/occttests/tests/ED
(0021500)
emv (developer)
2012-09-18 11:37

Git branch CR21762 is ready to be reviewed.
Please test only, do not integrate.
(0021504)
abv (manager)
2012-09-18 18:31

I cannot really review the last changes since the branch has been rebased and squashed, so let's test it
(0021517)
apn (administrator)
2012-09-20 12:20

Dear BugMaster,
Branch CR21762 (and products from GIT master) was compiled on Linux and Windows platforms and tested.

Regression:
chl 901 A1 (wrong image)
chl 920 A2
chl 922 L3 L7 R9 T5
chl 927 P8 P9 Q3 Q5 Q6 Q7
chl 927 S4 S5 S6 S7 (CPU user time is wrong)
chl 929 D1 D2 D5 D6 D8
chl 936 W9 X1

Linux:
http://jenkins-test-01.nnov.opencascade.com:8080/job/mnt-CR21762-master_occt_tests_linux_start/ [^]

WNT:
http://jenkins-test-01.nnov.opencascade.com:8080/user/mnt/my-views/view/All/job/mnt-CR21762-master_occt_tests_windows_start/ [^]

Improvements:
chl 902 H3
chl 910 E1
chl 913 F2
chl 919 X6
chl 922 R7 S7
chl 922 N7 (but there is no image)
chl 926 C7
chl 929 T2 T4 T5
chl 935 K0 L0 Z6
chl 937 B6

Testing case:
Not needed

See results in /QADisk/occttests/results/KAS/dev/CR21762-master-products_21082012/lin
See reference results in /QADisk/occttests/results/KAS/dev/IR-2012-09-14-master-products_16092012/lin
See test cases in /QADisk/occttests/tests/ED
(0021518)
abv (manager)
2012-09-20 12:26

I see no difference between two last test results -- is that true??
(0021519)
apn (administrator)
2012-09-20 13:04

I launch grid chl again to be sure in results.
(0021592)
emv (developer)
2012-09-28 14:36
edited on: 2012-09-28 15:15

Git branch CR21762 is ready to be reviewed. The branch has been rebased on current master.
Modifications:
 1. Fixed regressions:
    boolean bcut_complex Q3
    boolean bfuse_complex J1
 2. Added commands bopcheck and bopargcheck (added new classes BOPAlgo_CheckerSI, BOPAlgo_ArgumentAnalyzer, BOPAlgo_CheckResult, BOPDS_IteratorSI);
 3. Changed behavior of the command bsection (added new class BOPAlgo_SectionAttribute, rewritten test cases in the grid boolean/bsection);
 4. Rewritten some test cases in the grid feat. They works correct now.
 5. Rewritten some test cases based on explode operation in the grid boolean/bfuse_complex.
Please test only, do not integrate.

(0021606)
mkv (tester)
2012-10-01 17:56

Dear BugMaster,
Branch CR21762 (and products from GIT master) was compiled on Linux and Windows platforms and tested.

Linux:
http://jenkins-test-01.nnov.opencascade.com/user/mnt/my-views/view/CR21762/job/mnt-CR21762-master_occt_tests_linux_start/ [^]
WNT:
http://jenkins-test-01.nnov.opencascade.com/user/mnt/my-views/view/CR21762/job/mnt-CR21762-master_occt_tests_windows_start/ [^]

Regressions:
boolean bcommon_complex C3
boolean bcut_complex F2 O7
boolean bfuse_complex E4
boolean bsection B6 , M8 , M9 , N4 , N5 , N7
boolean bopcut_complex N4
bugs modalg CR23429
caf named_shape F6 , F7
caf driver B6 , B7
draft angle E5 , G8 , K9
offset faces_type_i E7
offset faces_type_i F2

Improvements (it is necessary to modify test cases):
blend simple K4 , new value of square is 19893.8
blend buildevol G1 , new value of square is 20125.9
boolean bcommon_complex C7 , new value of square is 667287
boolean bcut_complex Q9 , new value of square is 59435.1
boolean bcut_complex O3, new value of square is 21104.4
boolean bcut_complex O4, new value of square is 18443.3
boolean bcut_complex O5, new value of square is 92450.8
boolean bcut_complex O6, new value of square is 171351
boolean bcut_complex O8, new value of square is 51923.9
boolean bfuse_complex C4, new value of square is 125482
boolean bfuse_complex C5, new value of square is 125482
boolean bfuse_complex F1, new value of square is 173165
boolean bfuse_complex P9, new value of square is 348.371
boolean bfuse_complex O5, new value of square is 40059.8
boolean bfuse_complex O6, new value of square is 108943
boolean bfuse_complex P8, new value of square is 656482
boolean bsection R8 , new value of length is 11.8242
boolean bopcommon_complex D8 , new value of square is 66231.3
boolean bopcommon_complex D9 , new value of square is 66231.3
boolean bopfuse_complex H1, new value of square is 24741.1
boolean bopfuse_complex J6, new value of square is 327.201
boolean boptuc_complex D5, new value of square is 9741.13
feat featprism L6 , new value of square is 683.581
feat featprism M9 , new value of square is 21416.7
feat featprism S2 , new value of square is 4956.26
feat featprism C4 , new value of square is 103218

Regressions:
chl 902 S1
chl 920 A2
chl 922 L3 L7 T5
chl 927 L5 O8 P2
chl 929 Z5
chl 930 X5
chl 934 T4 U4
chl 936 W9 X1

Improvements:
chl 902 H3
chl 910 E1
chl 913 F2
chl 919 X6
chl 922 R7 S7
chl 926 C7
chl 929 T2 T4 T5
chl 935 K0 L0 R9 Z6
chl 937 B6

See results in /QADisk/occttests/results/KAS/dev/CR21762-master-products_21082012/lin
See reference results in /QADisk/occttests/results/KAS/dev/IR-2012-09-21-master-products_24092012/lin
See test cases in /QADisk/occttests/tests/ED

Testing case:
Not needed
(0021823)
emv (developer)
2012-10-17 16:27

Git branch CR21762 is ready to be reviewed.
Please test only, do not integrate.
(0021836)
mkv (tester)
2012-10-18 15:40

Dear BugMaster,
Branch CR21762 (and products from GIT master) was compiled on Linux and Windows platforms and tested.

Linux:
http://jenkins-test-01.nnov.opencascade.com/user/mnt/my-views/view/CR21762/job/mnt-CR21762-master_occt_tests_linux_start/ [^]

Regressions:
blend simple (001) K4
blend buildevol (002) G1
boolean bcommon_complex (011) C3 C7
boolean bcut_complex (012) O7 Q6
boolean bfuse_complex (013) C4 C5 E4 P9 Q8
boolean bsection (015) A3 A4 B6 M8 M9 N4 N5 N6 N7 O6 R8 R9
bugs modalg CR23429
caf named_shape F6 , F7
caf driver B6 , B7
draft angle E5 , G8 , K9
feat featprism (001) L6 M9 S2
offset faces_type_i (003) C9 E7 F2
offset shape_type_i (005) C5 C8

Improvements:
boolean bcut_complex (012) O3 O4 O5 O6 O8
boolean bfuse_complex (013) D4 O5 O6 P8
boolean bsection (015) D8
boolean bopcut_complex (021) D8 D9
boolean bopfuse_complex (022) H1 J6
boolean boptuc_complex (024) D5
feat featprism (001) C4

It is necessary to modify test cases (new format of bsection):
chl 902 S1
chl 927 L5 O8 P2
chl 929 Z5
chl 934 T4 U4

It is necessary to modify test cases (new value of result):
chl 902 S1
chl 922 R9
chl 929 D1 D2 D5 D6 D8

Regressions:
chl 902 E3 H3
chl 922 L3 L7 W6
chl 927 V3 V4
chl 936 W9 X1

Improvements:
chl 913 F2
chl 919 X6
chl 922 R7 S7
chl 926 C7
chl 929 T2 T4 T5
chl 935 K0 L0 Z6
chl 937 B6

See results in /QADisk/occttests/results/KAS/dev/CR21762-master-products_21082012/lin
See reference results in /QADisk/occttests/results/KAS/dev/IR-2012-10-05-master-products_05102012/lin
See test cases in /QADisk/occttests/tests/ED

Testing case:
Not needed
(0022093)
abv (manager)
2012-11-05 09:27
edited on: 2012-11-05 09:30

Note that besides the above reported regressions, some other test cases (formally OK) produce quite different result (this can be seen by comparison of images). Check:

feat featlf C8 C9 D6
feat featprism G3 O5 R5
feat featrevol J7
feat featrf A3 B1
boolean bcut_complex Q4
boolean bopcommon_simple ZP8
boolean bopcut_complex M6 O3 O4
boolean bopcut_simple Z2

The improvements reported above should be also analyzed as regressions

(0022326)
emv (developer)
2012-11-21 11:39
edited on: 2012-11-21 11:40

Git branch CR21762 is ready to be reviewed.
Please test only, do not integrate. The branch has already been rebased on current master.

(0022359)
mkv (tester)
2012-11-22 16:05

Dear BugMaster,
Branch CR21762 (and products from GIT master) was compiled on Linux and Windows platforms and tested.

http://jenkins-test-01.nnov.opencascade.com/user/mnt/my-views/view/CR21762/job/mnt-CR21762-master_occt_tests_linux_start/ [^]

Regressions on Linux:
boolean bcommon_complex(011) C3
boolean bcut_complex(012) F2 O7
boolean bfuse_complex(013) C4 C5 E4 J1 P9
boolean bsection(015) A3 B6 M8 M9 N4 N5 N7 R8 R9
bugs modalg(006) bug23472 CR23429
draft angle(001) E5 G8 K9
feat featprism(003) S2
offset faces_type_i(003) E7 F2
offset shape_type_i(005) C5 C8

Improvements on Linux:
boolean bcut_complex(012) O3 O4 O5 O6 O8
boolean bfuse_complex(013) O5 O6 P8
boolean bsection(015) D8
boolean bopcommon_complex(021) D8 D9
boolean bopfuse_complex(022) H1 J6
boolean boptuc_complex(024) D5
feat featprism(003) C4
offset faces_type_i(003) C9
offset shape_type_i(005) D7

It is necessary to modify test cases (new format of bsection):
chl 902 S1
chl 927 L5 O8 P2
chl 929 Z5
chl 934 T4 U4

It is necessary to modify test cases (new value of result):
chl 922 R9
chl 929 D1 D2 D5 D6 D8

Regressions:
chl 901 A1
chl 902 H3
chl 922 L7 T5
chl 927 S4 S5 S6 S7
chl 936 W9 X1

Improvements:
chl 913 F2
chl 919 X6
chl 922 R7 S7
chl 926 C7
chl 928 T6
chl 929 T2 T4 T5
chl 935 K0 L0 Z6
chl 937 B6

See results in /QADisk/occttests/results/KAS/dev/CR21762-master-products_22112012/lin
See reference results in /QADisk/occttests/results/KAS/dev/IR-2012-11-15-master-products_15112012/lin
See test cases in /QADisk/occttests/tests/ED

Testing case:
Not needed
(0022361)
mkv (tester)
2012-11-22 17:12

Dear BugMaster,
There is extra warning compilation this branch on windows:
BRepFeat_MakeCylindricalHole.cxx:140
'prm' : unreferenced local variable
(0022480)
emv (developer)
2012-11-30 13:12
edited on: 2012-11-30 13:13

Git branch CR21762 is ready to be reviewed.
Please test only, do not integrate. The branch has already been rebased on current master.

(0022486)
abv (manager)
2012-11-30 15:54

Please test ASAP
(0022525)
mkv (tester)
2012-12-03 17:33

Dear BugMaster,
Branch CR21762 (and products from GIT master) was compiled on Linux and Windows platforms and tested.

http://occt-tests/CR21762-master-occt/ [^]

Regressions on Linux:
boolean bcommon_complex(011) C3
boolean bcut_complex(012) F2 O7
boolean bfuse_complex(013) C4 C5 E4
boolean bsection(015) B6 M8 M9 N4 N5 N7 R8
boolean bopsection(016) D4
boolean bopfuse_simple(018) ZP6 (Improvmnent on Linux)
bugs modalg(006) bug23472 CR23429
draft angle(001) G8
feat featprism(003) S2
offset faces_type_i(003) C9 E7 F2 (only on Linux)
offset shape_type_i(005) C5 C8 (only on Linux)

Improvements on Linux:
boolean bcut_complex(012) O3 O4 O5 O6 O8
boolean bfuse_complex(013) O5 O6 P8
boolean bopcommon_complex(021) D8 D9
boolean bopfuse_complex(022) H1 J6
boolean boptuc_complex(024) D5
feat featprism(003) C4


It is necessary to modify test cases (new format of bsection):
chl 902 S1
chl 927 L5 O8 P2
chl 929 Z5
chl 934 T4 U4

It is necessary to modify test cases (new value of result):
chl 922 R9
chl 929 D1 D2 D5 D6 D8

Regressions:
chl 901 A1
chl 922 L7 T5
chl 927 S4 S5 S6 S7
chl 936 W9 X1

Improvements:
chl 913 F2 K3
chl 919 X6
chl 922 R7 S7
chl 926 C7
chl 928 T6
chl 929 T2 T4 T5
chl 935 K0 L0 Z6
chl 937 B6

See results in /QADisk/occttests/results/KAS/dev/CR21762-master-products_01122012/lin
See reference results in /QADisk/occttests/results/KAS/dev/IR-2012-11-15-master-products_15112012/lin
See test cases in /QADisk/occttests/tests/ED

Testing case:
Not needed
(0022679)
emv (developer)
2012-12-12 16:01

Git branch CR21762 is ready to be reviewed.
Please test only, do not integrate. The branch has already been rebased on current master.
(0022760)
mkv (tester)
2012-12-19 11:36

Dear BugMaster,
Branch CR21762 (and products from GIT master) was compiled on Linux and
Windows platforms and tested.

http://occt-tests/CR21762-master-occt/ [^]

Regressions:
boolean bopfuse_complex(022) B4 B5 C9 D1 D4 D5 D6 D7
boolean bopcut_complex(023) B9 E1 E5 E8
bugs modalg(006) buc60409_1 buc60409_2 buc60409_3 buc60462_2 buc60531_2 buc60776_1 buc60776_2 bug62 bug472_1 bug472_2 bug472_3 bug497_3 bug23429 fra62369 pro18892
bugs moddata(007) bug26_1 bug26_2 bug75_1 bug75_2 bug152_1 bug152_2 bug469 bug496
caf named_shape(002) F8 F9
draft angle(001) E5
offset faces_type_i(003) C9 E7 F2 (only on Linux)
offset shape_type_i(005) A5 A7 A9 B2 B3 B7 C5 C7 C8

Improvements:
boolean bcut_complex(012) O3 O4 O5 O6 O8
boolean bfuse_complex(013) O5 O6 P8
boolean bopcommon_complex(021) D8 D9
boolean bopfuse_complex(022) H1 J6
boolean boptuc_complex(024) D5
bugs modalg(006) bug399 bug497_1
feat featprism(003) C4

It is necessary to modify test cases (new format of bsection):
chl 902 S1
chl 927 L5 O8 P2
chl 929 Z5
chl 934 T4 U4

It is necessary to modify test cases (new value of result):
chl 922 R9
chl 929 D1 D2 D5 D6 D8

Regressions:
chl 901 A1
chl 922 L7 T5
chl 936 W9 X1

Improvements:
chl 913 F2 K3
chl 919 X6
chl 922 R7 S7
chl 926 C7
chl 927 Q1 Q2 Q4
chl 928 T6
chl 929 T2 T4 T5
chl 935 K0 L0 Z6
chl 937 B6

See results in
/QADisk/occttests/results/KAS/dev/CR21762-master-products_14122012/lin
See reference results in
/QADisk/occttests/results/KAS/dev/IR-2012-12-07-IR-2012-12-07-products_07122012/lin
See test cases in /QADisk/occttests/tests/ED

Testing case:
Not needed
(0022821)
emv (developer)
2012-12-25 09:33

Git branch CR21762 is ready to be reviewed.
Please do not rebase the branch, test its current state.
(0022822)
abv (manager)
2012-12-25 09:40

Please test ASAP and as-is (do not rebase).
(0022843)
mkv (tester)
2012-12-26 10:44

Dear BugMaster,

There are compilation errors on Linux:

http://jenkins-test-01.nnov.opencascade.com/user/mnt/my-views/view/CR21762/job/mnt-CR21762-master_build_occt_linux/1/parsed_console/? [^]

TopoDS_Shape&, const TopoDS_Shape&, BOPAlgo_Operation,
Standard_Boolean, Standard_Boolean)':

../../../src/BRepAlgoAPI/BRepAlgoAPI_Check.cxx:86:
 error: operands to ?: have different types 'TopoDS_Shape' and
'BRepBuilderAPI_Copy'

../../../src/BRepAlgoAPI/BRepAlgoAPI_Check.cxx:87:
 error: operands to ?: have different types 'TopoDS_Shape' and
'BRepBuilderAPI_Copy'
(0022844)
emv (developer)
2012-12-26 12:01

Git branch CR21762 is ready to be reviewed.
(0022845)
abv (manager)
2012-12-26 12:11

No remarks, please test ASAP
(0022867)
mkv (tester)
2012-12-27 13:43

Dear BugMaster,
Branch CR21762 (and products from GIT master) was compiled on Linux and
Windows platforms and tested.

http://occt-tests/CR21762-master-occt/ [^]
Regressions:
bugs modalg(006) buc60409_1 buc60409_2 buc60409_3 - only on Linux
bugs moddata(007) bug152_1 bug152_2 bug469
draft angle(001) E5 - only on Linux
offset faces_type_i(003) C9
offset faces_type_i(003) E7 F2 - only on Linux
offset shape_type_i(005) A5 A7 A9 B2 B3 B7 C5 C7 C8

Improvements:
boolean bcut_complex(012) O3 O4 O5 O6 O8
boolean bfuse_complex(013) O5 O6 P8
boolean bopcommon_complex(021) D8 D9
boolean bopfuse_complex(022) H1 J6
boolean boptuc_complex(024) D5
bugs modalg(006) bug399 bug497_1
feat featprism(003) C4

It is necessary to modify test cases (new format of bsection):
chl 902 S1
chl 927 L5 O8 P2
chl 929 Z5
chl 934 T4 U4

It is necessary to modify test cases (new value of result):
chl 922 R9
chl 929 D1 D2 D5 D6 D8

Regressions:
chl 901 A1
chl 922 L7 T5
chl 936 W9 X1

Improvements:
chl 913 F2 K3
chl 919 X6
chl 922 R7 S7
chl 926 C7
chl 927 Q1 Q2 Q4
chl 928 T6
chl 929 T2 T4 T5
chl 935 K0 L0 Z6
chl 937 B6

See results in
/QADisk/occttests/results/KAS/dev/CR21762-master-products_26122012/lin
See reference results in
/QADisk/occttests/results/KAS/dev/IR-2012-12-07-IR-2012-12-07-products_07122012/lin
See test cases in /QADisk/occttests/tests/ED

Testing case:
Not needed
(0022871)
emv (developer)
2012-12-27 16:27

Git branch CR21762 is ready to be reviewed. The branch has been rebased on current master.
(0022874)
abv (manager)
2012-12-27 19:07

Reviewed; Please test ASAP, with a goal to include to this week integration to master
(0022875)
abv (manager)
2012-12-28 07:47

Testing on Windows 7 64-bit, built with VC 9 32-bit Release mode:

Improvements:
  bugs iges bug700
  bugs modalg bug472_3
  bugs modalg bug693
  bugs modalg bug693_1
  bugs modalg bug817_1
  feat featprism N1
Failed:
  boolean bopcommon_complex E3
  boolean bopcommon_complex E4
  boolean bopcut_complex E6
  boolean bsection N4
  bugs fclasses bug984_1
  bugs modalg bug334
  bugs modalg bug427_1
  bugs modalg bug427_2
  bugs modalg bug427_4
  bugs modalg bug745_12
  bugs modalg bug823
  bugs modalg bug823_1
  bugs modalg bug825_2
  bugs modalg bug829_1
  bugs moddata bug152_1
  bugs moddata bug152_2
  bugs step bug365_2
  bugs step bug8229
  offset faces_type_i B6
  offset faces_type_i B7
  offset faces_type_i C6
  offset faces_type_i C7
  offset faces_type_i C8
  offset faces_type_i C9
  offset faces_type_i H8
  offset faces_type_i I8
  offset faces_type_i J7
  offset shape_type_i A9
  offset shape_type_i B1
  offset shape_type_i B5
  offset shape_type_i F1
  offset shape_type_i F4
  offset shape_type_i G5

Notable differences in images:

boolean bcut_complex O5
boolean bcut_complex O6
boolean bfuse_complex I7
boolean bfuse_complex O5
boolean bfuse_complex P8
... and many others

Total MEMORY difference: 61077624 / 61763896
Total CPU difference: 3308.46920800003 / 2065.2348385999576
(0023252)
mkv (tester)
2013-02-04 14:52
edited on: 2013-02-04 14:57

Dear BugMaster,
Branch CR21762 from state at 01.02.2013(and products from GIT master) was compiled on Linux and
Windows platforms and tested.

http://occt-tests/CR21762-master-occt/ [^]

Regressions:
boolean bsection(015) M9 N4
bugs fclasses(002) bug7287_2 bug7287_3 bug7287_4 bug7287_5 - Memory leak
bugs iges(003) buc60823 - display
bugs vis(004) bug22762 - display
bugs modalg(006) buc60409_1 buc60409_2 - new value of result
bugs modalg(006) buc60409_3
bugs modalg(006) bug697_2 bug697_4 bug697_7 bug697_8 - new value of result
bugs modalg(006) bug6272_6
bugs modalg(006) bug8370 - display
bugs modalg(006) bug21754 - new format of bsection
bugs modalg(006) bug22770_9 bug22770_14 - display
bugs modalg(006)( bug22990 - new format of bsection
bugs modalg006) bug23100
bugs moddata(007) bug469
bugs moddata(007) bug22554_1 bug22554_2 bug22554_3 bug22554_4 - display
draft angle(001) E5
offset faces_type_i(003) E7 F1 F2 C9
offset shape_type_i(005) C5 C6 C8

Improvements:
boolean bsection(015) N7
bugs moddata(007) bug152_1

Regressions:
chl 901 A2
chl 922 L7 T5
chl 936 W9
See results in
/QADisk/occttests/results/KAS/dev/CR21762-master-products_26122012/lin
See reference results in
/QADisk/occttests/results/KAS/dev/IR-2012-12-07-IR-2012-12-07-products_07122012/lin
See test cases in /QADisk/occttests/tests/ED

Testing case:
Not needed

(0023283)
emv (developer)
2013-02-08 10:39

Git branch CR21762 is ready to be reviewed.
(0023287)
abv (manager)
2013-02-08 11:24

No remarks, please test
(0023295)
mkv (tester)
2013-02-08 17:11

Dear BugMaster,

Branch CR21762 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 4f58f6e3e571b2eeacd4e90750e0132a303372d9

Number of compiler warnings:

occt component :
Linux: 3 (3 on master)
Windows: 39 (39 on master)

products component :
Linux: 9 (9 on master)
Windows: 50 (50 on master)

Regressions:

on Linux:
http://occt-tests/CR21762-master-occt/Mandriva2010/summary.html [^]
boolean bsection(015) M9 N4
bugs fclasses(002) bug7287_2 bug7287_3 bug7287_4 bug7287_5 - Memory leak detected
bugs modalg(006) buc60409_1 buc60409_2 buc60409_3
bugs modalg(006) bug6272_6
bugs modalg(006) bug19793_2 - CPU limit (100 sec)
bugs moddata(007) bug469 - not regress, it is necessary to modify test case
draft angle(001) E5
offset faces_type_i(003) C9 E7 F1 F2
offset shape_type_i(005) C5 C6 C8

Improvements:
boolean bfuse_complex(013) C4 C5
boolean bsection(015) N7
bugs moddata(007) bug152_2

Testing on Linux:
Total MEMORY difference: 235913668 / 237635444
Total CPU difference: 9396.150000000536 / 8826.660000000056

There are following serious differences in images found by testdiff:
http://occt-tests/CR21762-master-occt/Mandriva2010/diff-Mandriva2010.html [^]
IMAGE bugs modalg bug23004: bug23004.png differs
IMAGE bugs modalg bug6334: bug6334.png differs
IMAGE boolean bopcut_complex M6: M6.png differs
IMAGE boolean bopcut_complex O3: O3.png differs
IMAGE boolean bopcut_complex O4: O4.png differs
(0023297)
mkv (tester)
2013-02-08 18:08

Dear BugMaster,

Regressions:

on Windows:
http://occt-tests/CR21762-master-occt/Windows-32-VC9/summary.html [^]
Failed:
boolean bsection(015) M9 N4
bugs fclasses(002) bug7287_5- Memory leak detected
bugs modalg(006) bug19793_2 - CPU limit (100 sec)
offset wire_closed_inside_0_005(007) H4 - non stable test case?

Improvements:
bugs moddata(007) bug152_1 bug152_2

Testing on Windows:
Total MEMORY difference: 335336080 / 337921348
Total CPU difference: 12893.25 / 11938.0625

There are following serious differences in images found by testdiff:
http://occt-tests/CR21762-master-occt/Windows-32-VC9/diff-Windows-32-VC9.html [^]
IMAGE bugs modalg bug23004: bug23004.png differs
IMAGE bugs modalg bug420: bug420.png differs
IMAGE bugs modalg bug6334: bug6334.png differs
IMAGE boolean bopfuse_complex H1: H1.png differs
IMAGE boolean bcut_complex N9: N9.png differs
(0023298)
mkv (tester)
2013-02-08 18:15

Dear BugMaster,

Regressions:
chl 936 W9 X1

See results in
/QADisk/occttests/results/KAS/dev/CR21762-master-products_08022013/lin

See reference results in /QADisk/occttests/results/KAS/dev/IR-2013-02-01-master-products_01022013/lin
See test cases in /QADisk/occttests/tests/ED

Testing case:
Not needed
(0023299)
emv (developer)
2013-02-11 08:56
edited on: 2013-02-12 15:19

boolean bfuse_complex(013) C4 C5 - should be marked as valid for Linux platform
boolean bsection(015) N7 - should be marked as valid for Linux platform
boolean bsection(015) M9 N4 - 0023749

draft angle(001) E5 - 0023667

bugs modalg(006) buc60409_1 buc60409_2 buc60409_3 - 0023659
bugs modalg(006) bug19793_2 - CPU limit (100 sec) - 0023753
bugs moddata(007) bug469 - not regress, it is necessary to modify test case

bugs moddata(007) bug152_2 - 0022033

offset faces_type_i(003) C9 E7 F2 - should be rewritten
offset shape_type_i(005) C5 - should be rewritten

IMAGE bugs modalg bug6334: bug6334.png differs - FIXED
IMAGE boolean bopcut_complex M6: M6.png differs - ok
IMAGE boolean bopcut_complex O3: O3.png differs - ok
IMAGE boolean bopcut_complex O4: O4.png differs - ok

IMAGE bugs modalg bug23004: bug23004.png differs - should be analyzed (results are the same, but visualization is different)

Regressions on Linux platform in Release mode:
bugs modalg(006) bug6272_6
offset faces_type_i(003) F1
offset shape_type_i(005) C6 C8


- Related Changesets
occt: master 4e57c75e
Timestamp: 2013-02-08 13:42:05
Author: emv
Details ] Diff ]
0021762: Integration of new Boolean Operation algorithm to OCCT.

Modifications:
- BRepOffset/BRepOffset_Tool.cxx, Features and Fillets algorithms have been ported on new BO algorithm.
- Old BO algorithm, that was implemented in BOP, BooleanOperations and BOPTools packages, has - been deleted.
- Porting SALOME algorithms to new BOP algorithm.
- Fixing regressions. Rebased on current master.
- Corrections in post treatment of section edges;
- Corrections in the accordance with the bug 0023293;
- Small corrections in the bopcheck and bopargcheck commands.
- NCollection maps have been replaced by NCollection indexed maps to guarantee the constant order of sub-shapes in the result of boolean operation.
- Test case feat featprism M9 has been fixed.
- Test cases chl 902 E3 H3 have been fixed (corrections in the treatment of section edges).
- Test cases caf driver B6 B7, caf named_shape F6 F7 have been modified according to the new order of sub-shapes in the result of boolean operation.
- Test cases blend buildevol G1, blend simple K4, bcommon_complex C7, feat featprism L6 have been modified as they are improvements.
- Test case boolean bsection A3 has been modified according to the new syntax of the bsection command.
- Test cases boolean bfuse_complex J1 P9 have been fixed (the function IsInternalFace has been modified to use the function GetFaceOff);
- Test case chl 902 H3 has been fixed (changes in the treatment of section edges);
- Test case boolean bsection D8 has been modified (removed TODO statement);
- Test case boolean bsection A3 has been modified (as the shapes have been changed).
- Added correction of the tolerance values of the shapes according to the bug 0023610.
- test cases:
    boolean bcommon_complex C3,
    boolean bcut_complex F2 O7,
    boolean bfuse_complex C4 C5 E4,
    boolean bsection B6 M8 M9 N4 N5 N7,
    boolean bfuse_simple ZP6,
    draft angle G8,
    feat featprism S2
have been marked as invalid according to the bug 0022033;
- New value of result has been set in the test cases :
    boolean bopsection D4
    boolean bsection R8
as it is correct.
- test case bugs modalg bug23472 has been rewritten according to the new format of bsection command.
- The classes IntTools_Context and IntTools_ShrunkRange have been replaced by BOPInt_Context and BOPInt_ShrunkRange accordingly.
- The new class BRepAlgoAPI_Check has been added according to the bug 0023648.
- Some regressions have been fixed.
- The following test cases have been marked as invalid or rewritten
    bugs modalg buc60462_2, 60531_2, 60776_1, bug472_1, bug472_2, bug472_3, bug497_3, bug62
    bugs moddata bug26_1, bug26_2,
- The test case bugs modalg buc60533 has been rewritten to use the general fuse algorithm for building the result.
- The new value of the result has been set in the test case bugs modalg 60776_2.
- The following test cases have been rewritten according to the new format of the bsection command
    bugs modlag fra62369, pro18892
    bugs moddata bug75_1, bug75_2
- Corrected BRepAlgoAPI_Check.
- Removed package BOPTColStd.
- Rewritten test cases caf named_shape F8 F9.
- Removed unnecessary comments.
- Corrected the following test scripts :
    boolean bcut_complex(012) O3 O4 O5 O6 O8
    boolean bfuse_complex(013) O5 O6 P8
    boolean bopcommon_complex(021) D8 D9
    boolean bopfuse_complex(022) H1 J6
    boolean boptuc_complex(024) D5
    bugs modalg(006) bug399 bug497_1
    feat featprism(003) C4
- Corrections in the treatment of section edges (putting paves on the curves);
- Corrections in BRepOffset_Tool;
- The following test cases have been rewritten according to the new format of the bsection command
   bugs modalg bug6502, bug6554, bug6766_1, bug6766_3
- The new value of the result has been set in the following test cases
   bugs modalg bug1255, bug1255_1
- The following test cases have been marked as invalid or rewritten
   bugs modalg bug472_2, bug472_3, bug825_2
   bugs moddata bug10603, bug152_1, bug152_2, bug3721_1, bug3721_2, bug3721_3
- The following test cases have been rewritten as improvements
   bugs modalg bug693, bug693_1, bug817_1
   bugs moddata bug3721_5, bug3721_6, bug6862_3, bug6862_4, bug6862_6
- Test cases bugs modlag buc60787_1, buc60787_2, buc60788_2, buc60788_3 have been corrected.
- Fixed some SALOME regressions (modifications in the treatment of the section edges);
- Fixed test case bugs modalg bug23100;
- Test cases bugs modalg bug21754, bug22990 have been corrected according to the new format of the bsection command.
- Test cases bugs modalg bug13116_*, bug23711 have been fixed;
- Test cases bugs modalg bug697_2, bug697_4, bug697_7, bug697_8 have been marked as invalid according to the issue 0022033;
- Test cases bugs modalg bug22109_2, bug22109_3 have been corrected;
- Test case bugs modalg bug18186 has been corrected as it is improvement;
- Test case bugs modalg bug22802 has been deleted as there is no package BOPTColStd.
mod - adm/UDLIST Diff ] File ]
rm - src/BooleanOperations/BooleanOperations.cdl Diff ] File ]
rm - src/BooleanOperations/BooleanOperations_AncestorsAndSuccessors.cdl Diff ] File ]
rm - src/BooleanOperations/BooleanOperations_AncestorsAndSuccessors.cxx Diff ] File ]
rm - src/BooleanOperations/BooleanOperations_AncestorsAndSuccessors.lxx Diff ] File ]
rm - src/BooleanOperations/BooleanOperations_AncestorsSeqAndSuccessorsSeq.cdl Diff ] File ]
rm - src/BooleanOperations/BooleanOperations_AncestorsSeqAndSuccessorsSeq.cxx Diff ] File ]
rm - src/BooleanOperations/BooleanOperations_AncestorsSeqAndSuccessorsSeq.lxx Diff ] File ]
rm - src/BooleanOperations/BooleanOperations_Explorer.cdl Diff ] File ]
rm - src/BooleanOperations/BooleanOperations_Explorer.cxx Diff ] File ]
rm - src/BooleanOperations/BooleanOperations_OnceExplorer.cdl Diff ] File ]
rm - src/BooleanOperations/BooleanOperations_OnceExplorer.cxx Diff ] File ]
rm - src/BooleanOperations/BooleanOperations_ShapeAndInterferences.cdl Diff ] File ]
rm - src/BooleanOperations/BooleanOperations_ShapeAndInterferences.cxx Diff ] File ]
rm - src/BooleanOperations/BooleanOperations_ShapeAndInterferences.lxx Diff ] File ]
rm - src/BooleanOperations/BooleanOperations_ShapesDataStructure.cdl Diff ] File ]
rm - src/BooleanOperations/BooleanOperations_ShapesDataStructure.cxx Diff ] File ]
rm - src/BOP/BOP.cdl Diff ] File ]
rm - src/BOP/BOP_Area2dBuilder.cdl Diff ] File ]
rm - src/BOP/BOP_Area2dBuilder.cxx Diff ] File ]
rm - src/BOP/BOP_Area3dBuilder.cdl Diff ] File ]
rm - src/BOP/BOP_Area3dBuilder.cxx Diff ] File ]
rm - src/BOP/BOP_AreaBuilder.cdl Diff ] File ]
rm - src/BOP/BOP_AreaBuilder.cxx Diff ] File ]
rm - src/BOP/BOP_ArgumentAnalyzer.cdl Diff ] File ]
rm - src/BOP/BOP_ArgumentAnalyzer.cxx Diff ] File ]
rm - src/BOP/BOP_ArgumentAnalyzer.lxx Diff ] File ]
rm - src/BOP/BOP_BlockBuilder.cdl Diff ] File ]
rm - src/BOP/BOP_BlockBuilder.cxx Diff ] File ]
rm - src/BOP/BOP_BlockIterator.cdl Diff ] File ]
rm - src/BOP/BOP_BlockIterator.cxx Diff ] File ]
rm - src/BOP/BOP_Builder.cdl Diff ] File ]
rm - src/BOP/BOP_Builder.cxx Diff ] File ]
rm - src/BOP/BOP_BuilderTools.cdl Diff ] File ]
rm - src/BOP/BOP_BuilderTools.cxx Diff ] File ]
rm - src/BOP/BOP_CheckResult.cdl Diff ] File ]
rm - src/BOP/BOP_CheckResult.cxx Diff ] File ]
rm - src/BOP/BOP_CompositeClassifier.cdl Diff ] File ]
rm - src/BOP/BOP_CompositeClassifier.cxx Diff ] File ]
rm - src/BOP/BOP_ConnexityBlock.cdl Diff ] File ]
rm - src/BOP/BOP_ConnexityBlock.cxx Diff ] File ]
rm - src/BOP/BOP_CorrectTolerances.cdl Diff ] File ]
rm - src/BOP/BOP_CorrectTolerances.cxx Diff ] File ]
rm - src/BOP/BOP_Draw.cdl Diff ] File ]
rm - src/BOP/BOP_Draw.cxx Diff ] File ]
rm - src/BOP/BOP_EdgeInfo.cdl Diff ] File ]
rm - src/BOP/BOP_EdgeInfo.cxx Diff ] File ]
rm - src/BOP/BOP_EmptyBuilder.cdl Diff ] File ]
rm - src/BOP/BOP_EmptyBuilder.cxx Diff ] File ]
rm - src/BOP/BOP_FaceAreaBuilder.cdl Diff ] File ]
rm - src/BOP/BOP_FaceAreaBuilder.cxx Diff ] File ]
rm - src/BOP/BOP_FaceBuilder.cdl Diff ] File ]
rm - src/BOP/BOP_FaceBuilder.cxx Diff ] File ]
rm - src/BOP/BOP_FaceInfo.cdl Diff ] File ]
rm - src/BOP/BOP_FaceInfo.cxx Diff ] File ]
rm - src/BOP/BOP_HistoryCollector.cdl Diff ] File ]
rm - src/BOP/BOP_HistoryCollector.cxx Diff ] File ]
rm - src/BOP/BOP_Loop.cdl Diff ] File ]
rm - src/BOP/BOP_Loop.cxx Diff ] File ]
rm - src/BOP/BOP_LoopClassifier.cdl Diff ] File ]
rm - src/BOP/BOP_LoopClassifier.cxx Diff ] File ]
rm - src/BOP/BOP_LoopSet.cdl Diff ] File ]
rm - src/BOP/BOP_LoopSet.cxx Diff ] File ]
rm - src/BOP/BOP_Refiner.cdl Diff ] File ]
rm - src/BOP/BOP_Refiner.cxx Diff ] File ]
rm - src/BOP/BOP_SDFWESFiller.cdl Diff ] File ]
rm - src/BOP/BOP_SDFWESFiller.cxx Diff ] File ]
rm - src/BOP/BOP_Section.cdl Diff ] File ]
rm - src/BOP/BOP_Section.cxx Diff ] File ]
rm - src/BOP/BOP_SectionHistoryCollector.cdl Diff ] File ]
rm - src/BOP/BOP_SectionHistoryCollector.cxx Diff ] File ]
rm - src/BOP/BOP_SFSCorrector.cdl Diff ] File ]
rm - src/BOP/BOP_SFSCorrector.cxx Diff ] File ]
rm - src/BOP/BOP_ShapeSet.cdl Diff ] File ]
rm - src/BOP/BOP_ShapeSet.cxx Diff ] File ]
rm - src/BOP/BOP_ShellFaceClassifier.cdl Diff ] File ]
rm - src/BOP/BOP_ShellFaceClassifier.cxx Diff ] File ]
rm - src/BOP/BOP_ShellFaceSet.cdl Diff ] File ]
rm - src/BOP/BOP_ShellFaceSet.cxx Diff ] File ]
rm - src/BOP/BOP_ShellFaceSet.lxx Diff ] File ]
rm - src/BOP/BOP_ShellShell.cdl Diff ] File ]
rm - src/BOP/BOP_ShellShell.cxx Diff ] File ]
rm - src/BOP/BOP_ShellSolid.cdl Diff ] File ]
rm - src/BOP/BOP_ShellSolid.cxx Diff ] File ]
rm - src/BOP/BOP_ShellSolidHistoryCollector.cdl Diff ] File ]
rm - src/BOP/BOP_ShellSolidHistoryCollector.cxx Diff ] File ]
rm - src/BOP/BOP_ShellSolid_1.cxx Diff ] File ]
rm - src/BOP/BOP_ShellSolid_2.cxx Diff ] File ]
rm - src/BOP/BOP_ShellSolid_3.cxx Diff ] File ]
rm - src/BOP/BOP_ShellSplitter.cdl Diff ] File ]
rm - src/BOP/BOP_ShellSplitter.cxx Diff ] File ]
rm - src/BOP/BOP_SolidAreaBuilder.cdl Diff ] File ]
rm - src/BOP/BOP_SolidAreaBuilder.cxx Diff ] File ]
rm - src/BOP/BOP_SolidBuilder.cdl Diff ] File ]
rm - src/BOP/BOP_SolidBuilder.cxx Diff ] File ]
rm - src/BOP/BOP_SolidClassifier.cdl Diff ] File ]
rm - src/BOP/BOP_SolidClassifier.cxx Diff ] File ]
rm - src/BOP/BOP_SolidSolid.cdl Diff ] File ]
rm - src/BOP/BOP_SolidSolid.cxx Diff ] File ]
rm - src/BOP/BOP_SolidSolidHistoryCollector.cdl Diff ] File ]
rm - src/BOP/BOP_SolidSolidHistoryCollector.cxx Diff ] File ]
rm - src/BOP/BOP_SolidSolid_1.cxx Diff ] File ]
rm - src/BOP/BOP_WESCorrector.cdl Diff ] File ]
rm - src/BOP/BOP_WESCorrector.cxx Diff ] File ]
rm - src/BOP/BOP_WireEdgeClassifier.cdl Diff ] File ]
rm - src/BOP/BOP_WireEdgeClassifier.cxx Diff ] File ]
rm - src/BOP/BOP_WireEdgeSet.cdl Diff ] File ]
rm - src/BOP/BOP_WireEdgeSet.cxx Diff ] File ]
rm - src/BOP/BOP_WireShape.cdl Diff ] File ]
rm - src/BOP/BOP_WireShape.cxx Diff ] File ]
rm - src/BOP/BOP_WireShell.cdl Diff ] File ]
rm - src/BOP/BOP_WireShell.cxx Diff ] File ]
rm - src/BOP/BOP_WireSolid.cdl Diff ] File ]
rm - src/BOP/BOP_WireSolid.cxx Diff ] File ]
rm - src/BOP/BOP_WireSolidHistoryCollector.cdl Diff ] File ]
rm - src/BOP/BOP_WireSolidHistoryCollector.cxx Diff ] File ]
rm - src/BOP/BOP_WireSplitter.cdl Diff ] File ]
rm - src/BOP/BOP_WireSplitter.cxx Diff ] File ]
rm - src/BOP/BOP_WireSplitter.lxx Diff ] File ]
rm - src/BOP/BOP_WireWire.cdl Diff ] File ]
rm - src/BOP/BOP_WireWire.cxx Diff ] File ]
rm - src/BOP/FILES Diff ] File ]
add - src/BOPAlgo/BOPAlgo.cdl Diff ] File ]
add - src/BOPAlgo/BOPAlgo_Algo.cdl Diff ] File ]
add - src/BOPAlgo/BOPAlgo_Algo.cxx Diff ] File ]
add - src/BOPAlgo/BOPAlgo_ArgumentAnalyzer.cdl Diff ] File ]
add - src/BOPAlgo/BOPAlgo_ArgumentAnalyzer.cxx Diff ] File ]
add - src/BOPAlgo/BOPAlgo_ArgumentAnalyzer.lxx Diff ] File ]
add - src/BOPAlgo/BOPAlgo_BOP.cdl Diff ] File ]
add - src/BOPAlgo/BOPAlgo_BOP.cxx Diff ] File ]
add - src/BOPAlgo/BOPAlgo_BOP_1.cxx Diff ] File ]
add - src/BOPAlgo/BOPAlgo_Builder.cdl Diff ] File ]
add - src/BOPAlgo/BOPAlgo_Builder.cxx Diff ] File ]
add - src/BOPAlgo/BOPAlgo_BuilderArea.cdl Diff ] File ]
add - src/BOPAlgo/BOPAlgo_BuilderArea.cxx Diff ] File ]
add - src/BOPAlgo/BOPAlgo_BuilderFace.cdl Diff ] File ]
add - src/BOPAlgo/BOPAlgo_BuilderFace.cxx Diff ] File ]
add - src/BOPAlgo/BOPAlgo_BuilderShape.cdl Diff ] File ]
add - src/BOPAlgo/BOPAlgo_BuilderShape.cxx Diff ] File ]
add - src/BOPAlgo/BOPAlgo_BuilderSolid.cdl Diff ] File ]
add - src/BOPAlgo/BOPAlgo_BuilderSolid.cxx Diff ] File ]
add - src/BOPAlgo/BOPAlgo_Builder_1.cxx Diff ] File ]
add - src/BOPAlgo/BOPAlgo_Builder_2.cxx Diff ] File ]
add - src/BOPAlgo/BOPAlgo_Builder_3.cxx Diff ] File ]
add - src/BOPAlgo/BOPAlgo_Builder_4.cxx Diff ] File ]
add - src/BOPAlgo/BOPAlgo_CheckerSI.cdl Diff ] File ]
add - src/BOPAlgo/BOPAlgo_CheckerSI.cxx Diff ] File ]
add - src/BOPAlgo/BOPAlgo_CheckResult.cdl Diff ] File ]
add - src/BOPAlgo/BOPAlgo_CheckResult.cxx Diff ] File ]
add - src/BOPAlgo/BOPAlgo_ListOfCheckResult.hxx Diff ] File ]
add - src/BOPAlgo/BOPAlgo_PaveFiller.cdl Diff ] File ]
add - src/BOPAlgo/BOPAlgo_PaveFiller.cxx Diff ] File ]
add - src/BOPAlgo/BOPAlgo_PaveFiller_1.cxx Diff ] File ]
add - src/BOPAlgo/BOPAlgo_PaveFiller_2.cxx Diff ] File ]
add - src/BOPAlgo/BOPAlgo_PaveFiller_3.cxx Diff ] File ]
add - src/BOPAlgo/BOPAlgo_PaveFiller_4.cxx Diff ] File ]
add - src/BOPAlgo/BOPAlgo_PaveFiller_5.cxx Diff ] File ]
add - src/BOPAlgo/BOPAlgo_PaveFiller_6.cxx Diff ] File ]
add - src/BOPAlgo/BOPAlgo_PaveFiller_7.cxx Diff ] File ]
add - src/BOPAlgo/BOPAlgo_PaveFiller_8.cxx Diff ] File ]
add - src/BOPAlgo/BOPAlgo_SectionAttribute.cdl Diff ] File ]
add - src/BOPAlgo/BOPAlgo_SectionAttribute.cxx Diff ] File ]
add - src/BOPAlgo/BOPAlgo_SectionAttribute.lxx Diff ] File ]
add - src/BOPAlgo/BOPAlgo_Tools.cdl Diff ] File ]
add - src/BOPAlgo/BOPAlgo_Tools.cxx Diff ] File ]
add - src/BOPAlgo/BOPAlgo_WireEdgeSet.cdl Diff ] File ]
add - src/BOPAlgo/BOPAlgo_WireEdgeSet.cxx Diff ] File ]
add - src/BOPAlgo/BOPAlgo_WireEdgeSet.lxx Diff ] File ]
add - src/BOPAlgo/BOPAlgo_WireSplitter.cdl Diff ] File ]
add - src/BOPAlgo/BOPAlgo_WireSplitter.cxx Diff ] File ]
add - src/BOPAlgo/BOPAlgo_WireSplitter.lxx Diff ] File ]
add - src/BOPAlgo/BOPAlgo_WireSplitter_1.cxx Diff ] File ]
add - src/BOPAlgo/FILES Diff ] File ]
add - src/BOPCol/BOPCol.cdl Diff ] File ]
add - src/BOPCol/BOPCol_Array1.hxx Diff ] File ]
add - src/BOPCol/BOPCol_BaseAllocator.hxx Diff ] File ]
add - src/BOPCol/BOPCol_DataMapOfIntegerInteger.hxx Diff ] File ]
add - src/BOPCol/BOPCol_DataMapOfIntegerListOfInteger.hxx Diff ] File ]
add - src/BOPCol/BOPCol_DataMapOfIntegerListOfShape.hxx Diff ] File ]
add - src/BOPCol/BOPCol_DataMapOfIntegerMapOfInteger.hxx Diff ] File ]
add - src/BOPCol/BOPCol_DataMapOfIntegerShape.hxx Diff ] File ]
add - src/BOPCol/BOPCol_DataMapOfShapeAddress.hxx Diff ] File ]
add - src/BOPCol/BOPCol_DataMapOfShapeInteger.hxx Diff ] File ]
add - src/BOPCol/BOPCol_DataMapOfShapeListOfShape.hxx Diff ] File ]
add - src/BOPCol/BOPCol_DataMapOfShapeShape.hxx Diff ] File ]
add - src/BOPCol/BOPCol_DataMapOfTransientAddress.hxx Diff ] File ]
add - src/BOPCol/BOPCol_IndexedDataMapOfIntegerListOfInteger.hxx Diff ] File ]
add - src/BOPCol/BOPCol_IndexedDataMapOfShapeBox.hxx Diff ] File ]
add - src/BOPCol/BOPCol_IndexedDataMapOfShapeInteger.hxx Diff ] File ]
add - src/BOPCol/BOPCol_IndexedDataMapOfShapeListOfShape.hxx Diff ] File ]
add - src/BOPCol/BOPCol_IndexedMapOfInteger.hxx Diff ] File ]
add - src/BOPCol/BOPCol_IndexedMapOfShape.hxx Diff ] File ]
add - src/BOPCol/BOPCol_ListOfInteger.hxx Diff ] File ]
add - src/BOPCol/BOPCol_ListOfListOfShape.hxx Diff ] File ]
add - src/BOPCol/BOPCol_ListOfShape.hxx Diff ] File ]
add - src/BOPCol/BOPCol_MapOfInteger.hxx Diff ] File ]
add - src/BOPCol/BOPCol_MapOfOrientedShape.hxx Diff ] File ]
add - src/BOPCol/BOPCol_MapOfShape.hxx Diff ] File ]
add - src/BOPCol/BOPCol_PInteger.hxx Diff ] File ]
add - src/BOPCol/BOPCol_PListOfInteger.hxx Diff ] File ]
add - src/BOPCol/BOPCol_SequenceOfPnt2d.hxx Diff ] File ]
add - src/BOPCol/BOPCol_SequenceOfReal.hxx Diff ] File ]
add - src/BOPCol/BOPCol_SequenceOfShape.hxx Diff ] File ]
add - src/BOPCol/BOPCol_VectorOfInteger.hxx Diff ] File ]
add - src/BOPCol/FILES Diff ] File ]
add - src/BOPDS/BOPDS.cdl Diff ] File ]
add - src/BOPDS/BOPDS_BoxBndTree.cxx Diff ] File ]
add - src/BOPDS/BOPDS_BoxBndTree.hxx Diff ] File ]
add - src/BOPDS/BOPDS_CommonBlock.cdl Diff ] File ]
add - src/BOPDS/BOPDS_CommonBlock.cxx Diff ] File ]
add - src/BOPDS/BOPDS_CoupleOfPaveBlocks.hxx Diff ] File ]
add - src/BOPDS/BOPDS_Curve.cdl Diff ] File ]
add - src/BOPDS/BOPDS_Curve.cxx Diff ] File ]
add - src/BOPDS/BOPDS_Curve.lxx Diff ] File ]
add - src/BOPDS/BOPDS_DataMapOfIntegerListOfPaveBlock.hxx Diff ] File ]
add - src/BOPDS/BOPDS_DataMapOfPassKeyListOfPaveBlock.hxx Diff ] File ]
add - src/BOPDS/BOPDS_DataMapOfPaveBlockListOfInteger.hxx Diff ] File ]
add - src/BOPDS/BOPDS_DataMapOfPaveBlockListOfPaveBlock.hxx Diff ] File ]
add - src/BOPDS/BOPDS_DataMapOfShapeCoupleOfPaveBlocks.hxx Diff ] File ]
add - src/BOPDS/BOPDS_DS.cdl Diff ] File ]
add - src/BOPDS/BOPDS_DS.cxx Diff ] File ]
add - src/BOPDS/BOPDS_DS.lxx Diff ] File ]
add - src/BOPDS/BOPDS_FaceInfo.cdl Diff ] File ]
add - src/BOPDS/BOPDS_FaceInfo.cxx Diff ] File ]
add - src/BOPDS/BOPDS_FaceInfo.lxx Diff ] File ]
add - src/BOPDS/BOPDS_IndexedDataMapOfPaveBlockListOfInteger.hxx Diff ] File ]
add - src/BOPDS/BOPDS_IndexedDataMapOfPaveBlockListOfPaveBlock.hxx Diff ] File ]
add - src/BOPDS/BOPDS_IndexedDataMapOfShapeCoupleOfPaveBlocks.hxx Diff ] File ]
add - src/BOPDS/BOPDS_IndexedMapOfPaveBlock.hxx Diff ] File ]
add - src/BOPDS/BOPDS_IndexRange.cdl Diff ] File ]
add - src/BOPDS/BOPDS_IndexRange.cxx Diff ] File ]
add - src/BOPDS/BOPDS_IndexRange.lxx Diff ] File ]
add - src/BOPDS/BOPDS_Interf.hxx Diff ] File ]
add - src/BOPDS/BOPDS_Iterator.cdl Diff ] File ]
add - src/BOPDS/BOPDS_Iterator.cxx Diff ] File ]
add - src/BOPDS/BOPDS_IteratorSI.cdl Diff ] File ]
add - src/BOPDS/BOPDS_IteratorSI.cxx Diff ] File ]
add - src/BOPDS/BOPDS_ListIteratorOfListOfPassKeyBoolean.hxx Diff ] File ]
add - src/BOPDS/BOPDS_ListOfPassKeyBoolean.hxx Diff ] File ]
add - src/BOPDS/BOPDS_ListOfPave.hxx Diff ] File ]
add - src/BOPDS/BOPDS_ListOfPaveBlock.hxx Diff ] File ]
add - src/BOPDS/BOPDS_MapOfCommonBlock.hxx Diff ] File ]
add - src/BOPDS/BOPDS_MapOfPassKey.hxx Diff ] File ]
add - src/BOPDS/BOPDS_MapOfPassKeyBoolean.hxx Diff ] File ]
add - src/BOPDS/BOPDS_MapOfPave.hxx Diff ] File ]
add - src/BOPDS/BOPDS_MapOfPaveBlock.hxx Diff ] File ]
add - src/BOPDS/BOPDS_PassKey.cdl Diff ] File ]
add - src/BOPDS/BOPDS_PassKey.cxx Diff ] File ]
add - src/BOPDS/BOPDS_PassKey.lxx Diff ] File ]
add - src/BOPDS/BOPDS_PassKeyBoolean.cdl Diff ] File ]
add - src/BOPDS/BOPDS_PassKeyBoolean.cxx Diff ] File ]
add - src/BOPDS/BOPDS_PassKeyBoolean.lxx Diff ] File ]
add - src/BOPDS/BOPDS_PassKeyMapHasher.cdl Diff ] File ]
add - src/BOPDS/BOPDS_PassKeyMapHasher.cxx Diff ] File ]
add - src/BOPDS/BOPDS_PassKeyMapHasher.lxx Diff ] File ]
add - src/BOPDS/BOPDS_Pave.cdl Diff ] File ]
add - src/BOPDS/BOPDS_Pave.cxx Diff ] File ]
add - src/BOPDS/BOPDS_Pave.lxx Diff ] File ]
add - src/BOPDS/BOPDS_PaveBlock.cdl Diff ] File ]
add - src/BOPDS/BOPDS_PaveBlock.cxx Diff ] File ]
add - src/BOPDS/BOPDS_PaveMapHasher.cdl Diff ] File ]
add - src/BOPDS/BOPDS_PaveMapHasher.cxx Diff ] File ]
add - src/BOPDS/BOPDS_PaveMapHasher.lxx Diff ] File ]
add - src/BOPDS/BOPDS_Point.cdl Diff ] File ]
add - src/BOPDS/BOPDS_Point.cxx Diff ] File ]
add - src/BOPDS/BOPDS_Point.lxx Diff ] File ]
add - src/BOPDS/BOPDS_ShapeInfo.cdl Diff ] File ]
add - src/BOPDS/BOPDS_ShapeInfo.cxx Diff ] File ]
add - src/BOPDS/BOPDS_ShapeInfo.lxx Diff ] File ]
add - src/BOPDS/BOPDS_SubIterator.cdl Diff ] File ]
add - src/BOPDS/BOPDS_SubIterator.cxx Diff ] File ]
add - src/BOPDS/BOPDS_Tools.cdl Diff ] File ]
add - src/BOPDS/BOPDS_Tools.cxx Diff ] File ]
add - src/BOPDS/BOPDS_Tools.lxx Diff ] File ]
add - src/BOPDS/BOPDS_VectorOfCurve.hxx Diff ] File ]
add - src/BOPDS/BOPDS_VectorOfFaceInfo.hxx Diff ] File ]
add - src/BOPDS/BOPDS_VectorOfIndexRange.hxx Diff ] File ]
add - src/BOPDS/BOPDS_VectorOfInterfEE.hxx Diff ] File ]
add - src/BOPDS/BOPDS_VectorOfInterfEF.hxx Diff ] File ]
add - src/BOPDS/BOPDS_VectorOfInterfFF.hxx Diff ] File ]
add - src/BOPDS/BOPDS_VectorOfInterfVE.hxx Diff ] File ]
add - src/BOPDS/BOPDS_VectorOfInterfVF.hxx Diff ] File ]
add - src/BOPDS/BOPDS_VectorOfInterfVV.hxx Diff ] File ]
add - src/BOPDS/BOPDS_VectorOfListOfPassKeyBoolean.hxx Diff ] File ]
add - src/BOPDS/BOPDS_VectorOfListOfPaveBlock.hxx Diff ] File ]
add - src/BOPDS/BOPDS_VectorOfPoint.hxx Diff ] File ]
add - src/BOPDS/BOPDS_VectorOfShapeInfo.hxx Diff ] File ]
add - src/BOPDS/FILES Diff ] File ]
add - src/BOPInt/BOPInt.cdl Diff ] File ]
add - src/BOPInt/BOPInt_Context.cdl Diff ] File ]
add - src/BOPInt/BOPInt_Context.cxx Diff ] File ]
add - src/BOPInt/BOPInt_ShrunkRange.cdl Diff ] File ]
add - src/BOPInt/BOPInt_ShrunkRange.cxx Diff ] File ]
add - src/BOPInt/BOPInt_Tools.cdl Diff ] File ]
add - src/BOPInt/BOPInt_Tools.cxx Diff ] File ]
rm - src/BOPTColStd/BOPTColStd.cdl Diff ] File ]
rm - src/BOPTColStd/BOPTColStd_CArray1.cdl Diff ] File ]
rm - src/BOPTColStd/BOPTColStd_CArray1.gxx Diff ] File ]
rm - src/BOPTColStd/BOPTColStd_Dump.cdl Diff ] File ]
rm - src/BOPTColStd/BOPTColStd_Dump.cxx Diff ] File ]
rm - src/BOPTColStd/BOPTColStd_Failure.cdl Diff ] File ]
rm - src/BOPTColStd/BOPTColStd_Failure.cxx Diff ] File ]
rm - src/BOPTColStd/BOPTColStd_ShapeWithRank.cdl Diff ] File ]
rm - src/BOPTColStd/BOPTColStd_ShapeWithRank.cxx Diff ] File ]
rm - src/BOPTColStd/BOPTColStd_ShapeWithRankHasher.cdl Diff ] File ]
rm - src/BOPTColStd/BOPTColStd_ShapeWithRankHasher.cxx Diff ] File ]
mod - src/BOPTest/BOPTest.cdl Diff ] File ]
mod - src/BOPTest/BOPTest.cxx Diff ] File ]
mod - src/BOPTest/BOPTest_BOPCommands.cxx Diff ] File ]
rm - src/BOPTest/BOPTest_CurveCommands.cxx Diff ] File ]
mod - src/BOPTest/BOPTest_DrawableShape.cxx Diff ] File ]
rm - src/BOPTest/BOPTest_EFCommands.cxx Diff ] File ]
mod - src/BOPTest/BOPTest_LowCommands.cxx Diff ] File ]
rm - src/BOPTest/BOPTest_MTestCommands.cxx Diff ] File ]
add - src/BOPTest/BOPTest_ObjCommands.cxx Diff ] File ]
add - src/BOPTest/BOPTest_Objects.cdl Diff ] File ]
add - src/BOPTest/BOPTest_Objects.cxx Diff ] File ]
add - src/BOPTest/BOPTest_PartitionCommands.cxx Diff ] File ]
rm - src/BOPTest/BOPTest_TSTCommands.cxx Diff ] File ]
rm - src/BOPTest/BOPTest_WSplitCommands.cxx Diff ] File ]
mod - src/BOPTest/FILES Diff ] File ]
mod - src/BOPTools/BOPTools.cdl Diff ] File ]
add - src/BOPTools/BOPTools.cxx Diff ] File ]
add - src/BOPTools/BOPTools_AlgoTools.cdl Diff ] File ]
add - src/BOPTools/BOPTools_AlgoTools.cxx Diff ] File ]
add - src/BOPTools/BOPTools_AlgoTools2D.cdl Diff ] File ]
add - src/BOPTools/BOPTools_AlgoTools2D.cxx Diff ] File ]
add - src/BOPTools/BOPTools_AlgoTools3D.cdl Diff ] File ]
add - src/BOPTools/BOPTools_AlgoTools3D.cxx Diff ] File ]
add - src/BOPTools/BOPTools_AlgoTools_1.cxx Diff ] File ]
add - src/BOPTools/BOPTools_AlgoTools_2.cxx Diff ] File ]
rm - src/BOPTools/BOPTools_Checker.cdl Diff ] File ]
rm - src/BOPTools/BOPTools_Checker.cxx Diff ] File ]
rm - src/BOPTools/BOPTools_CheckResult.cdl Diff ] File ]
rm - src/BOPTools/BOPTools_CheckResult.cxx Diff ] File ]
rm - src/BOPTools/BOPTools_CommonBlock.cdl Diff ] File ]
rm - src/BOPTools/BOPTools_CommonBlock.cxx Diff ] File ]
rm - src/BOPTools/BOPTools_CommonBlockAPI.cdl Diff ] File ]
rm - src/BOPTools/BOPTools_CommonBlockAPI.cxx Diff ] File ]
rm - src/BOPTools/BOPTools_ComparePave.cdl Diff ] File ]
rm - src/BOPTools/BOPTools_ComparePave.cxx Diff ] File ]
add - src/BOPTools/BOPTools_ConnexityBlock.hxx Diff ] File ]
rm - src/BOPTools/BOPTools_CoupleOfInteger.cdl Diff ] File ]
rm - src/BOPTools/BOPTools_CoupleOfInteger.cxx Diff ] File ]
rm - src/BOPTools/BOPTools_CoupleOfIntegerMapHasher.cdl Diff ] File ]
rm - src/BOPTools/BOPTools_CoupleOfIntegerMapHasher.cxx Diff ] File ]
add - src/BOPTools/BOPTools_CoupleOfShape.hxx Diff ] File ]
rm - src/BOPTools/BOPTools_Curve.cdl Diff ] File ]
rm - src/BOPTools/BOPTools_Curve.cxx Diff ] File ]
add - src/BOPTools/BOPTools_DataMapOfShapeSet.hxx Diff ] File ]
rm - src/BOPTools/BOPTools_DEInfo.cdl Diff ] File ]
rm - src/BOPTools/BOPTools_DEInfo.cxx Diff ] File ]
rm - src/BOPTools/BOPTools_DEProcessor.cdl Diff ] File ]
rm - src/BOPTools/BOPTools_DEProcessor.cxx Diff ] File ]
rm - src/BOPTools/BOPTools_DSFiller.cdl Diff ] File ]
rm - src/BOPTools/BOPTools_DSFiller.cxx Diff ] File ]
rm - src/BOPTools/BOPTools_DSFiller.lxx Diff ] File ]
add - src/BOPTools/BOPTools_EdgeSet.cdl Diff ] File ]
add - src/BOPTools/BOPTools_EdgeSet.cxx Diff ] File ]
add - src/BOPTools/BOPTools_EdgeSet.lxx Diff ] File ]
rm - src/BOPTools/BOPTools_EEInterference.cdl Diff ] File ]
rm - src/BOPTools/BOPTools_EEInterference.cxx Diff ] File ]
rm - src/BOPTools/BOPTools_ESInterference.cdl Diff ] File ]
rm - src/BOPTools/BOPTools_ESInterference.cxx Diff ] File ]
rm - src/BOPTools/BOPTools_Interference.cdl Diff ] File ]
rm - src/BOPTools/BOPTools_Interference.cxx Diff ] File ]
rm - src/BOPTools/BOPTools_InterferenceLine.cdl Diff ] File ]
rm - src/BOPTools/BOPTools_InterferenceLine.cxx Diff ] File ]
rm - src/BOPTools/BOPTools_InterferencePool.cdl Diff ] File ]
rm - src/BOPTools/BOPTools_InterferencePool.cxx Diff ] File ]
rm - src/BOPTools/BOPTools_IteratorOfCoupleOfShape.cdl Diff ] File ]
rm - src/BOPTools/BOPTools_IteratorOfCoupleOfShape.cxx Diff ] File ]
add - src/BOPTools/BOPTools_ListOfConnexityBlock.hxx Diff ] File ]
add - src/BOPTools/BOPTools_ListOfCoupleOfShape.hxx Diff ] File ]
add - src/BOPTools/BOPTools_ListOfEdgeSet.hxx Diff ] File ]
add - src/BOPTools/BOPTools_ListOfShapeSet.hxx Diff ] File ]
add - src/BOPTools/BOPTools_MapOfSet.hxx Diff ] File ]
rm - src/BOPTools/BOPTools_Pave.cdl Diff ] File ]
rm - src/BOPTools/BOPTools_Pave.cxx Diff ] File ]
rm - src/BOPTools/BOPTools_PaveBlock.cdl Diff ] File ]
rm - src/BOPTools/BOPTools_PaveBlock.cxx Diff ] File ]
rm - src/BOPTools/BOPTools_PaveBlockIterator.cdl Diff ] File ]
rm - src/BOPTools/BOPTools_PaveBlockIterator.cxx Diff ] File ]
rm - src/BOPTools/BOPTools_PaveBlockMapHasher.cdl Diff ] File ]
rm - src/BOPTools/BOPTools_PaveBlockMapHasher.cxx Diff ] File ]
rm - src/BOPTools/BOPTools_PaveFiller.cdl Diff ] File ]
rm - src/BOPTools/BOPTools_PaveFiller.cxx Diff ] File ]
rm - src/BOPTools/BOPTools_PaveFiller_1.cxx Diff ] File ]
rm - src/BOPTools/BOPTools_PaveFiller_2.cxx Diff ] File ]
rm - src/BOPTools/BOPTools_PaveFiller_3.cxx Diff ] File ]
rm - src/BOPTools/BOPTools_PaveFiller_4.cxx Diff ] File ]
rm - src/BOPTools/BOPTools_PaveSet.cdl Diff ] File ]
rm - src/BOPTools/BOPTools_PaveSet.cxx Diff ] File ]
rm - src/BOPTools/BOPTools_PCurveMaker.cdl Diff ] File ]
rm - src/BOPTools/BOPTools_PCurveMaker.cxx Diff ] File ]
rm - src/BOPTools/BOPTools_PointBetween.cdl Diff ] File ]
rm - src/BOPTools/BOPTools_PointBetween.cxx Diff ] File ]
rm - src/BOPTools/BOPTools_RoughShapeIntersector.cdl Diff ] File ]
rm - src/BOPTools/BOPTools_RoughShapeIntersector.cxx Diff ] File ]
add - src/BOPTools/BOPTools_Set.cdl Diff ] File ]
add - src/BOPTools/BOPTools_Set.cxx Diff ] File ]
add - src/BOPTools/BOPTools_Set.lxx Diff ] File ]
add - src/BOPTools/BOPTools_SetMapHasher.cdl Diff ] File ]
add - src/BOPTools/BOPTools_SetMapHasher.cxx Diff ] File ]
add - src/BOPTools/BOPTools_SetMapHasher.lxx Diff ] File ]
add - src/BOPTools/BOPTools_ShapeSet.cdl Diff ] File ]
add - src/BOPTools/BOPTools_ShapeSet.cxx Diff ] File ]
add - src/BOPTools/BOPTools_ShapeSet.lxx Diff ] File ]
rm - src/BOPTools/BOPTools_ShapeShapeInterference.cdl Diff ] File ]
rm - src/BOPTools/BOPTools_ShapeShapeInterference.cxx Diff ] File ]
rm - src/BOPTools/BOPTools_SolidStateFiller.cdl Diff ] File ]
rm - src/BOPTools/BOPTools_SolidStateFiller.cxx Diff ] File ]
rm - src/BOPTools/BOPTools_SSInterference.cdl Diff ] File ]
rm - src/BOPTools/BOPTools_SSInterference.cxx Diff ] File ]
rm - src/BOPTools/BOPTools_SSIntersectionAttribute.cdl Diff ] File ]
rm - src/BOPTools/BOPTools_SSIntersectionAttribute.cxx Diff ] File ]
rm - src/BOPTools/BOPTools_SSIntersectionAttribute.lxx Diff ] File ]
rm - src/BOPTools/BOPTools_StateFiller.cdl Diff ] File ]
rm - src/BOPTools/BOPTools_StateFiller.cxx Diff ] File ]
rm - src/BOPTools/BOPTools_Tools.cdl Diff ] File ]
rm - src/BOPTools/BOPTools_Tools.cxx Diff ] File ]
rm - src/BOPTools/BOPTools_Tools2D.cdl Diff ] File ]
rm - src/BOPTools/BOPTools_Tools2D.cxx Diff ] File ]
rm - src/BOPTools/BOPTools_Tools3D.cdl Diff ] File ]
rm - src/BOPTools/BOPTools_Tools3D.cxx Diff ] File ]
rm - src/BOPTools/BOPTools_Tools3D_1.cxx Diff ] File ]
rm - src/BOPTools/BOPTools_Tools3D_2.cxx Diff ] File ]
rm - src/BOPTools/BOPTools_VEInterference.cdl Diff ] File ]
rm - src/BOPTools/BOPTools_VEInterference.cxx Diff ] File ]
rm - src/BOPTools/BOPTools_VSInterference.cdl Diff ] File ]
rm - src/BOPTools/BOPTools_VSInterference.cxx Diff ] File ]
rm - src/BOPTools/BOPTools_VVInterference.cdl Diff ] File ]
rm - src/BOPTools/BOPTools_VVInterference.cxx Diff ] File ]
rm - src/BOPTools/BOPTools_WireStateFiller.cdl Diff ] File ]
rm - src/BOPTools/BOPTools_WireStateFiller.cxx Diff ] File ]
mod - src/BOPTools/FILES Diff ] File ]
mod - src/BRepAlgo/BRepAlgo.cdl Diff ] File ]
rm - src/BRepAlgo/BRepAlgo_TopOpe.cdl Diff ] File ]
rm - src/BRepAlgo/BRepAlgo_TopOpe.cxx Diff ] File ]
mod - src/BRepAlgoAPI/BRepAlgoAPI.cdl Diff ] File ]
mod - src/BRepAlgoAPI/BRepAlgoAPI_BooleanOperation.cdl Diff ] File ]
mod - src/BRepAlgoAPI/BRepAlgoAPI_BooleanOperation.cxx Diff ] File ]
add - src/BRepAlgoAPI/BRepAlgoAPI_Check.cdl Diff ] File ]
add - src/BRepAlgoAPI/BRepAlgoAPI_Check.cxx Diff ] File ]
mod - src/BRepAlgoAPI/BRepAlgoAPI_Common.cdl Diff ] File ]
mod - src/BRepAlgoAPI/BRepAlgoAPI_Common.cxx Diff ] File ]
mod - src/BRepAlgoAPI/BRepAlgoAPI_Cut.cdl Diff ] File ]
mod - src/BRepAlgoAPI/BRepAlgoAPI_Cut.cxx Diff ] File ]
mod - src/BRepAlgoAPI/BRepAlgoAPI_Fuse.cdl Diff ] File ]
mod - src/BRepAlgoAPI/BRepAlgoAPI_Fuse.cxx Diff ] File ]
mod - src/BRepAlgoAPI/BRepAlgoAPI_Section.cdl Diff ] File ]
mod - src/BRepAlgoAPI/BRepAlgoAPI_Section.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat.cdl Diff ] File ]
mod - src/BRepFeat/BRepFeat_Builder.cdl Diff ] File ]
mod - src/BRepFeat/BRepFeat_Builder.cxx Diff ] File ]
rm - src/BRepFeat/BRepFeat_Builder.lxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_Form.cdl Diff ] File ]
mod - src/BRepFeat/BRepFeat_Form.cxx Diff ] File ]
rm - src/BRepFeat/BRepFeat_LocalOperation.cdl Diff ] File ]
rm - src/BRepFeat/BRepFeat_LocalOperation.cxx Diff ] File ]
rm - src/BRepFeat/BRepFeat_LocalOperation.lxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_MakeCylindricalHole.cdl Diff ] File ]
mod - src/BRepFeat/BRepFeat_MakeCylindricalHole.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_MakeCylindricalHole.lxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_MakeLinearForm.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_MakeRevol.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_MakeRevolutionForm.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_RibSlot.cdl Diff ] File ]
mod - src/BRepFeat/BRepFeat_RibSlot.cxx Diff ] File ]
mod - src/BRepFill/BRepFill_TrimShellCorner.cxx Diff ] File ]
mod - src/BRepOffset/BRepOffset.cdl Diff ] File ]
mod - src/BRepOffset/BRepOffset_Tool.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_FeatureCommands.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_FilletCommands.cxx Diff ] File ]
mod - src/IntPolyh/IntPolyh_MaillageAffinage.cxx Diff ] File ]
mod - src/IntTools/IntTools.cdl Diff ] File ]
mod - src/IntTools/IntTools_BeanFaceIntersector.cdl Diff ] File ]
mod - src/IntTools/IntTools_BeanFaceIntersector.cxx Diff ] File ]
rm - src/IntTools/IntTools_Context.cdl Diff ] File ]
rm - src/IntTools/IntTools_Context.cxx Diff ] File ]
mod - src/IntTools/IntTools_EdgeEdge.cxx Diff ] File ]
mod - src/IntTools/IntTools_EdgeFace.cdl Diff ] File ]
mod - src/IntTools/IntTools_EdgeFace.cxx Diff ] File ]
mod - src/IntTools/IntTools_FaceFace.cdl Diff ] File ]
mod - src/IntTools/IntTools_FaceFace.cxx Diff ] File ]
rm - src/IntTools/IntTools_ShrunkRange.cdl Diff ] File ]
rm - src/IntTools/IntTools_ShrunkRange.cxx Diff ] File ]
mod - src/LocOpe/LocOpe.cdl Diff ] File ]
rm - src/LocOpe/LocOpe_Builder.cdl Diff ] File ]
rm - src/LocOpe/LocOpe_Builder.cxx Diff ] File ]
rm - src/LocOpe/LocOpe_Builder.lxx Diff ] File ]
mod - src/QABugs/QABugs_11.cxx Diff ] File ]
mod - src/QANewBRepNaming/QANewBRepNaming_ImportShape.cxx Diff ] File ]
mod - src/QANewModTopOpe/QANewModTopOpe.cdl Diff ] File ]
mod - src/QANewModTopOpe/QANewModTopOpe_Glue.cxx Diff ] File ]
mod - src/QANewModTopOpe/QANewModTopOpe_Glue_SDFaces.cxx Diff ] File ]
mod - src/QANewModTopOpe/QANewModTopOpe_Glue_shell.cxx Diff ] File ]
mod - src/QANewModTopOpe/QANewModTopOpe_Intersection.cxx Diff ] File ]
mod - src/QANewModTopOpe/QANewModTopOpe_Tools.cdl Diff ] File ]
mod - src/QANewModTopOpe/QANewModTopOpe_Tools.cxx Diff ] File ]
mod - src/TKBO/PACKAGES Diff ] File ]
mod - tests/blend/buildevol/G1 Diff ] File ]
mod - tests/blend/simple/K4 Diff ] File ]
mod - tests/boolean/bcommon_2d/A7 Diff ] File ]
mod - tests/boolean/bcommon_2d/B1 Diff ] File ]
mod - tests/boolean/bcommon_complex/C3 Diff ] File ]
mod - tests/boolean/bcommon_complex/C7 Diff ] File ]
mod - tests/boolean/bcut_complex/O3 Diff ] File ]
mod - tests/boolean/bcut_complex/O4 Diff ] File ]
mod - tests/boolean/bcut_complex/O5 Diff ] File ]
mod - tests/boolean/bcut_complex/O6 Diff ] File ]
mod - tests/boolean/bcut_complex/O7 Diff ] File ]
mod - tests/boolean/bcut_complex/O8 Diff ] File ]
mod - tests/boolean/bfuse_complex/C4 Diff ] File ]
mod - tests/boolean/bfuse_complex/C5 Diff ] File ]
mod - tests/boolean/bfuse_complex/E4 Diff ] File ]
mod - tests/boolean/bfuse_complex/O5 Diff ] File ]
mod - tests/boolean/bfuse_complex/O6 Diff ] File ]
mod - tests/boolean/bfuse_complex/P1 Diff ] File ]
mod - tests/boolean/bfuse_complex/P8 Diff ] File ]
mod - tests/boolean/bfuse_complex/Q7 Diff ] File ]
mod - tests/boolean/bfuse_complex/Q8 Diff ] File ]
mod - tests/boolean/bfuse_complex/Q9 Diff ] File ]
mod - tests/boolean/bfuse_complex/S2 Diff ] File ]
mod - tests/boolean/bopcommon_2d/A7 Diff ] File ]
mod - tests/boolean/bopcommon_2d/B1 Diff ] File ]
mod - tests/boolean/bopcommon_complex/D8 Diff ] File ]
mod - tests/boolean/bopcommon_complex/D9 Diff ] File ]
mod - tests/boolean/bopfuse_complex/H1 Diff ] File ]
mod - tests/boolean/bopfuse_complex/J6 Diff ] File ]
mod - tests/boolean/bopfuse_simple/ZP6 Diff ] File ]
mod - tests/boolean/bopsection/D4 Diff ] File ]
mod - tests/boolean/boptuc_complex/D5 Diff ] File ]
mod - tests/boolean/bsection/A3 Diff ] File ]
mod - tests/boolean/bsection/B6 Diff ] File ]
mod - tests/boolean/bsection/C9 Diff ] File ]
mod - tests/boolean/bsection/D8 Diff ] File ]
mod - tests/boolean/bsection/E8 Diff ] File ]
mod - tests/boolean/bsection/H3 Diff ] File ]
mod - tests/boolean/bsection/H4 Diff ] File ]
mod - tests/boolean/bsection/H5 Diff ] File ]
mod - tests/boolean/bsection/H6 Diff ] File ]
mod - tests/boolean/bsection/H7 Diff ] File ]
mod - tests/boolean/bsection/H8 Diff ] File ]
mod - tests/boolean/bsection/H9 Diff ] File ]
mod - tests/boolean/bsection/I1 Diff ] File ]
mod - tests/boolean/bsection/I2 Diff ] File ]
mod - tests/boolean/bsection/I3 Diff ] File ]
mod - tests/boolean/bsection/I4 Diff ] File ]
mod - tests/boolean/bsection/I5 Diff ] File ]
mod - tests/boolean/bsection/I6 Diff ] File ]
mod - tests/boolean/bsection/I7 Diff ] File ]
mod - tests/boolean/bsection/I8 Diff ] File ]
mod - tests/boolean/bsection/I9 Diff ] File ]
mod - tests/boolean/bsection/J1 Diff ] File ]
mod - tests/boolean/bsection/J2 Diff ] File ]
mod - tests/boolean/bsection/J3 Diff ] File ]
mod - tests/boolean/bsection/J4 Diff ] File ]
mod - tests/boolean/bsection/J5 Diff ] File ]
mod - tests/boolean/bsection/J6 Diff ] File ]
mod - tests/boolean/bsection/J7 Diff ] File ]
mod - tests/boolean/bsection/J8 Diff ] File ]
mod - tests/boolean/bsection/J9 Diff ] File ]
mod - tests/boolean/bsection/K1 Diff ] File ]
mod - tests/boolean/bsection/K2 Diff ] File ]
mod - tests/boolean/bsection/K3 Diff ] File ]
mod - tests/boolean/bsection/K4 Diff ] File ]
mod - tests/boolean/bsection/K5 Diff ] File ]
mod - tests/boolean/bsection/K6 Diff ] File ]
mod - tests/boolean/bsection/K7 Diff ] File ]
mod - tests/boolean/bsection/K8 Diff ] File ]
mod - tests/boolean/bsection/K9 Diff ] File ]
mod - tests/boolean/bsection/L1 Diff ] File ]
mod - tests/boolean/bsection/L2 Diff ] File ]
mod - tests/boolean/bsection/L3 Diff ] File ]
mod - tests/boolean/bsection/L4 Diff ] File ]
mod - tests/boolean/bsection/L5 Diff ] File ]
mod - tests/boolean/bsection/L6 Diff ] File ]
mod - tests/boolean/bsection/L7 Diff ] File ]
mod - tests/boolean/bsection/L8 Diff ] File ]
mod - tests/boolean/bsection/L9 Diff ] File ]
mod - tests/boolean/bsection/M1 Diff ] File ]
mod - tests/boolean/bsection/M2 Diff ] File ]
mod - tests/boolean/bsection/M3 Diff ] File ]
mod - tests/boolean/bsection/M4 Diff ] File ]
mod - tests/boolean/bsection/M5 Diff ] File ]
mod - tests/boolean/bsection/M6 Diff ] File ]
mod - tests/boolean/bsection/M7 Diff ] File ]
mod - tests/boolean/bsection/M8 Diff ] File ]
mod - tests/boolean/bsection/M9 Diff ] File ]
mod - tests/boolean/bsection/N2 Diff ] File ]
mod - tests/boolean/bsection/N4 Diff ] File ]
mod - tests/boolean/bsection/N5 Diff ] File ]
mod - tests/boolean/bsection/N6 Diff ] File ]
mod - tests/boolean/bsection/N7 Diff ] File ]
mod - tests/boolean/bsection/O2 Diff ] File ]
mod - tests/boolean/bsection/O5 Diff ] File ]
mod - tests/boolean/bsection/O6 Diff ] File ]
mod - tests/boolean/bsection/P1 Diff ] File ]
mod - tests/boolean/bsection/P2 Diff ] File ]
mod - tests/boolean/bsection/P3 Diff ] File ]
mod - tests/boolean/bsection/P4 Diff ] File ]
mod - tests/boolean/bsection/P5 Diff ] File ]
mod - tests/boolean/bsection/P6 Diff ] File ]
mod - tests/boolean/bsection/P7 Diff ] File ]
mod - tests/boolean/bsection/P8 Diff ] File ]
mod - tests/boolean/bsection/R5 Diff ] File ]
mod - tests/boolean/bsection/R8 Diff ] File ]
mod - tests/boolean/bsection/S4 Diff ] File ]
mod - tests/bugs/modalg_1/buc60462_2 Diff ] File ]
mod - tests/bugs/modalg_1/buc60531_2 Diff ] File ]
mod - tests/bugs/modalg_1/buc60533 Diff ] File ]
mod - tests/bugs/modalg_1/buc60776_1 Diff ] File ]
mod - tests/bugs/modalg_1/buc60776_2 Diff ] File ]
mod - tests/bugs/modalg_1/buc60787_1 Diff ] File ]
mod - tests/bugs/modalg_1/buc60787_2 Diff ] File ]
mod - tests/bugs/modalg_1/buc60788_2 Diff ] File ]
mod - tests/bugs/modalg_1/buc60788_3 Diff ] File ]
mod - tests/bugs/modalg_1/bug1255 Diff ] File ]
mod - tests/bugs/modalg_1/bug1255_1 Diff ] File ]
mod - tests/bugs/modalg_1/bug18186 Diff ] File ]
mod - tests/bugs/modalg_2/bug21754 Diff ] File ]
mod - tests/bugs/modalg_2/bug22109_2 Diff ] File ]
mod - tests/bugs/modalg_2/bug22109_3 Diff ] File ]
mod - tests/bugs/modalg_2/bug22990 Diff ] File ]
mod - tests/bugs/modalg_2/bug23100 Diff ] File ]
mod - tests/bugs/modalg_2/bug23472 Diff ] File ]
mod - tests/bugs/modalg_2/bug472_2 Diff ] File ]
mod - tests/bugs/modalg_2/bug472_3 Diff ] File ]
mod - tests/bugs/modalg_2/bug497_1 Diff ] File ]
mod - tests/bugs/modalg_2/bug497_3 Diff ] File ]
mod - tests/bugs/modalg_4/bug62 Diff ] File ]
mod - tests/bugs/modalg_4/bug6502 Diff ] File ]
mod - tests/bugs/modalg_4/bug6554 Diff ] File ]
mod - tests/bugs/modalg_4/bug6766_1 Diff ] File ]
mod - tests/bugs/modalg_4/bug6766_3 Diff ] File ]
mod - tests/bugs/modalg_4/bug693 Diff ] File ]
mod - tests/bugs/modalg_4/bug693_1 Diff ] File ]
mod - tests/bugs/modalg_4/bug697_2 Diff ] File ]
mod - tests/bugs/modalg_4/bug697_4 Diff ] File ]
mod - tests/bugs/modalg_4/bug697_7 Diff ] File ]
mod - tests/bugs/modalg_4/bug697_8 Diff ] File ]
mod - tests/bugs/modalg_4/bug817_1 Diff ] File ]
mod - tests/bugs/modalg_4/bug825_2 Diff ] File ]
mod - tests/bugs/modalg_4/fra62369 Diff ] File ]
mod - tests/bugs/modalg_4/pro18892 Diff ] File ]
mod - tests/bugs/moddata_1/bug152_1 Diff ] File ]
mod - tests/bugs/moddata_1/bug152_2 Diff ] File ]
mod - tests/bugs/moddata_2/bug26_1 Diff ] File ]
mod - tests/bugs/moddata_2/bug26_2 Diff ] File ]
mod - tests/bugs/moddata_2/bug3721_1 Diff ] File ]
mod - tests/bugs/moddata_2/bug3721_2 Diff ] File ]
mod - tests/bugs/moddata_2/bug3721_3 Diff ] File ]
mod - tests/bugs/moddata_2/bug3721_5 Diff ] File ]
mod - tests/bugs/moddata_2/bug3721_6 Diff ] File ]
mod - tests/bugs/moddata_2/bug6862_3 Diff ] File ]
mod - tests/bugs/moddata_2/bug6862_4 Diff ] File ]
mod - tests/bugs/moddata_2/bug6862_6 Diff ] File ]
mod - tests/bugs/moddata_2/bug75_1 Diff ] File ]
mod - tests/bugs/moddata_2/bug75_2 Diff ] File ]
mod - tests/caf/driver/B6 Diff ] File ]
mod - tests/caf/driver/B7 Diff ] File ]
mod - tests/caf/named_shape/F6 Diff ] File ]
mod - tests/caf/named_shape/F7 Diff ] File ]
mod - tests/caf/named_shape/F8 Diff ] File ]
mod - tests/caf/named_shape/F9 Diff ] File ]
mod - tests/draft/angle/G8 Diff ] File ]
mod - tests/feat/featlf/C8 Diff ] File ]
mod - tests/feat/featlf/C9 Diff ] File ]
mod - tests/feat/featlf/D6 Diff ] File ]
mod - tests/feat/featprism/C4 Diff ] File ]
mod - tests/feat/featprism/G3 Diff ] File ]
mod - tests/feat/featprism/L6 Diff ] File ]
mod - tests/feat/featprism/N1 Diff ] File ]
mod - tests/feat/featprism/O5 Diff ] File ]
mod - tests/feat/featprism/R5 Diff ] File ]
mod - tests/feat/featprism/S2 Diff ] File ]
mod - tests/feat/featrevol/J7 Diff ] File ]
mod - tests/feat/featrf/A3 Diff ] File ]
mod - tests/feat/featrf/B1 Diff ] File ]

- Issue History
Date Modified Username Field Change
2010-05-31 19:15 bugmaster Assigned To bugmaster => pkv
2010-05-31 19:15 bugmaster Status new => assigned
2010-07-07 17:36 bugmaster Status assigned => resolved
2010-11-23 22:02 mkv Status resolved => assigned
2011-02-04 19:28 bugmaster Status assigned => resolved
2011-02-04 19:36 mkv Status resolved => assigned
2011-04-07 17:32 bugmaster BugsThisDependsOn => 22027
2011-08-02 11:31 bugmaster Category OCCT:MOA => OCCT:Modeling Algorithms
2012-02-07 08:33 emv Note Added: 0019412
2012-02-07 08:35 emv Status assigned => resolved
2012-02-07 08:36 pkv Status resolved => reviewed
2012-02-07 08:36 pkv Fixed in Version EMPTY =>
2012-02-07 08:36 pkv Description Updated View Revisions
2012-02-07 10:57 emv Note Edited: 0019412 View Revisions
2012-02-07 11:15 abv Note Added: 0019420
2012-02-07 11:15 abv Note Deleted: 0019420
2012-02-07 11:16 abv Relationship added parent of 0021212
2012-02-08 10:50 abv Product Version => 6.4.0
2012-02-08 10:50 abv Target Version => 6.5.4
2012-02-14 13:17 mkv Assigned To pkv => mkv
2012-02-16 15:18 mkv Note Added: 0019599
2012-02-16 15:19 mkv Assigned To mkv => emv
2012-02-16 15:19 mkv Status reviewed => assigned
2012-03-05 13:38 emv Note Added: 0019866
2012-03-05 13:38 emv Assigned To emv => pkv
2012-03-05 13:38 emv Status assigned => resolved
2012-03-06 09:08 pkv Status resolved => reviewed
2012-03-06 12:13 mkv Assigned To pkv => mkv
2012-03-12 18:25 mkv Note Added: 0019940
2012-03-12 18:25 mkv Status reviewed => assigned
2012-03-12 18:26 mkv Assigned To mkv => emv
2012-03-22 12:24 emv Note Added: 0020090
2012-03-22 12:24 emv Assigned To emv => abv
2012-03-22 12:24 emv Status assigned => resolved
2012-03-22 12:32 abv Status resolved => reviewed
2012-03-22 17:28 mkv Assigned To abv => mkv
2012-03-23 18:19 mkv Note Added: 0020126
2012-03-23 18:20 mkv Assigned To mkv => emv
2012-03-23 18:20 mkv Status reviewed => assigned
2012-03-26 12:03 emv Note Added: 0020133
2012-03-26 12:03 emv Assigned To emv => abv
2012-03-26 12:03 emv Status assigned => resolved
2012-03-26 12:08 abv Status resolved => reviewed
2012-03-26 19:41 mkv Assigned To abv => mkv
2012-03-27 15:32 mkv Note Added: 0020162
2012-03-27 15:34 mkv Assigned To mkv => emv
2012-03-27 15:34 mkv Status reviewed => assigned
2012-04-05 08:21 emv Note Added: 0020265
2012-04-05 08:21 emv Assigned To emv => abv
2012-04-05 08:21 emv Status assigned => resolved
2012-04-05 08:36 abv Note Added: 0020266
2012-04-05 08:36 abv Assigned To abv => bugmaster
2012-04-05 08:36 abv Status resolved => reviewed
2012-04-05 10:44 mkv Assigned To bugmaster => aan
2012-04-05 18:22 aan Note Added: 0020277
2012-04-05 18:23 aan Assigned To aan => emv
2012-04-05 18:23 aan Status reviewed => assigned
2012-04-17 14:09 emv Note Added: 0020405
2012-04-17 14:09 emv Assigned To emv => pkv
2012-04-17 14:09 emv Status assigned => resolved
2012-04-17 15:28 emv Note Deleted: 0020405
2012-04-17 15:29 emv Assigned To pkv => emv
2012-04-17 15:29 emv Status resolved => assigned
2012-04-19 13:59 emv Note Added: 0020418
2012-04-19 13:59 emv Assigned To emv => pkv
2012-04-19 13:59 emv Status assigned => resolved
2012-04-19 14:40 pkv Status resolved => reviewed
2012-04-19 16:20 mkv Assigned To pkv => mkv
2012-04-20 12:03 apn Note Added: 0020422
2012-04-20 12:04 apn Note Edited: 0020422 View Revisions
2012-04-20 12:05 apn Assigned To mkv => emv
2012-04-20 12:05 apn Status reviewed => assigned
2012-06-04 07:59 emv Note Added: 0020632
2012-06-04 07:59 emv Assigned To emv => abv
2012-06-04 07:59 emv Status assigned => resolved
2012-06-04 08:26 abv Note Added: 0020633
2012-06-04 08:26 abv Assigned To abv => emv
2012-06-04 08:26 abv Status resolved => assigned
2012-06-04 08:32 abv Status assigned => resolved
2012-06-04 08:32 abv Note Added: 0020634
2012-06-04 08:32 abv Status resolved => reviewed
2012-06-04 14:29 emv Status reviewed => assigned
2012-06-04 14:40 emv Note Added: 0020640
2012-06-04 14:40 emv Assigned To emv => abv
2012-06-04 14:40 emv Status assigned => resolved
2012-06-04 14:48 abv Note Added: 0020641
2012-06-04 14:48 abv Assigned To abv => emv
2012-06-04 14:48 abv Status resolved => reviewed
2012-06-04 16:31 mkv Assigned To emv => mkv
2012-06-06 19:16 mkv Note Added: 0020654
2012-06-06 19:17 mkv Assigned To mkv => emv
2012-06-06 19:17 mkv Status reviewed => assigned
2012-06-07 15:08 emv Note Added: 0020656
2012-06-07 15:08 emv Assigned To emv => abv
2012-06-07 15:08 emv Status assigned => resolved
2012-06-07 15:13 emv Note Edited: 0020656 View Revisions
2012-06-07 15:19 abv Note Added: 0020659
2012-06-07 15:19 abv Assigned To abv => bugmaster
2012-06-07 15:19 abv Status resolved => reviewed
2012-06-07 18:52 mkv Assigned To bugmaster => mkv
2012-06-08 11:49 mkv Note Added: 0020667
2012-06-08 11:50 mkv Assigned To mkv => emv
2012-06-08 11:50 mkv Status reviewed => assigned
2012-07-05 12:15 emv Note Added: 0020860
2012-07-05 12:15 emv Assigned To emv => abv
2012-07-05 12:15 emv Status assigned => resolved
2012-07-06 09:19 emv Assigned To abv => pkv
2012-07-06 09:20 emv Note Edited: 0020860 View Revisions
2012-07-06 09:29 pkv Status resolved => reviewed
2012-07-09 18:45 mkv Note Added: 0020884
2012-07-09 18:46 mkv Test case number => Not needed
2012-07-09 18:46 mkv Assigned To pkv => emv
2012-07-09 18:46 mkv Status reviewed => assigned
2012-07-13 08:57 emv Note Added: 0020940
2012-07-13 08:57 emv Assigned To emv => pkv
2012-07-13 08:57 emv Status assigned => resolved
2012-07-13 08:58 pkv Status resolved => reviewed
2012-07-13 10:50 mkv Assigned To pkv => mkv
2012-07-16 11:53 apn Note Added: 0020980
2012-07-16 11:54 apn Assigned To mkv => emv
2012-07-16 11:54 apn Status reviewed => assigned
2012-07-18 08:48 abv Relationship added related to 0023296
2012-07-18 09:00 abv Relationship added related to 0023295
2012-07-18 09:01 abv Relationship added related to 0023294
2012-08-10 11:21 emv Note Added: 0021226
2012-08-10 11:21 emv Assigned To emv => abv
2012-08-10 11:21 emv Status assigned => resolved
2012-08-15 11:03 abv Note Added: 0021238
2012-08-15 11:03 abv Status resolved => assigned
2012-08-15 14:13 emv Note Added: 0021240
2012-08-15 14:14 emv Note Edited: 0021240 View Revisions
2012-08-20 08:49 emv Note Added: 0021287
2012-08-20 08:49 emv Status assigned => resolved
2012-08-20 08:57 abv Status resolved => reviewed
2012-08-23 15:11 apn Note Added: 0021326
2012-08-23 15:12 apn Note Edited: 0021326 View Revisions
2012-08-23 15:19 apn Assigned To abv => emv
2012-08-23 15:19 apn Status reviewed => assigned
2012-09-10 09:44 emv Note Added: 0021440
2012-09-10 09:44 emv Assigned To emv => abv
2012-09-10 09:44 emv Status assigned => resolved
2012-09-10 11:15 abv Note Added: 0021445
2012-09-10 11:15 abv Assigned To abv => bugmaster
2012-09-10 11:15 abv Status resolved => reviewed
2012-09-13 12:05 apn Note Added: 0021474
2012-09-13 12:06 apn Assigned To bugmaster => emv
2012-09-13 12:06 apn Status reviewed => assigned
2012-09-18 11:37 emv Note Added: 0021500
2012-09-18 11:37 emv Assigned To emv => abv
2012-09-18 11:37 emv Status assigned => resolved
2012-09-18 18:31 abv Note Added: 0021504
2012-09-18 18:31 abv Status resolved => reviewed
2012-09-20 12:20 apn Note Added: 0021517
2012-09-20 12:23 apn Assigned To abv => emv
2012-09-20 12:23 apn Status reviewed => assigned
2012-09-20 12:26 abv Note Added: 0021518
2012-09-20 13:04 apn Note Added: 0021519
2012-09-28 14:36 emv Note Added: 0021592
2012-09-28 14:36 emv Assigned To emv => abv
2012-09-28 14:36 emv Status assigned => resolved
2012-09-28 15:15 emv Note Edited: 0021592 View Revisions
2012-09-28 17:12 abv Assigned To abv => bugmaster
2012-09-28 17:12 abv Status resolved => reviewed
2012-09-28 17:47 mkv Assigned To bugmaster => mkv
2012-10-01 17:56 mkv Note Added: 0021606
2012-10-01 17:58 mkv Assigned To mkv => emv
2012-10-01 17:58 mkv Status reviewed => assigned
2012-10-02 11:00 abv Target Version 6.5.4 => 6.6.0
2012-10-17 16:27 emv Note Added: 0021823
2012-10-17 16:27 emv Assigned To emv => abv
2012-10-17 16:27 emv Status assigned => resolved
2012-10-17 16:36 abv Assigned To abv => bugmaster
2012-10-17 16:36 abv Status resolved => reviewed
2012-10-18 15:40 mkv Note Added: 0021836
2012-10-18 15:41 mkv Assigned To bugmaster => emv
2012-10-18 15:41 mkv Status reviewed => assigned
2012-11-02 16:57 gka Relationship added parent of 0023508
2012-11-02 17:25 gka Relationship added parent of 0023509
2012-11-05 09:27 abv Note Added: 0022093
2012-11-05 09:30 abv Note Edited: 0022093 View Revisions
2012-11-06 19:15 gka Relationship added parent of 0023514
2012-11-07 10:06 gka Relationship added parent of 0023515
2012-11-07 11:38 gka Relationship added parent of 0023516
2012-11-07 14:41 gka Relationship added parent of 0023517
2012-11-07 15:07 gka Relationship added parent of 0023518
2012-11-07 16:14 gka Relationship added parent of 0023520
2012-11-07 16:19 gka Relationship added parent of 0023521
2012-11-07 16:26 gka Relationship added parent of 0023522
2012-11-21 11:39 emv Note Added: 0022326
2012-11-21 11:39 emv Assigned To emv => mkv
2012-11-21 11:39 emv Status assigned => resolved
2012-11-21 11:39 emv Status resolved => reviewed
2012-11-21 11:40 emv Note Edited: 0022326 View Revisions
2012-11-22 16:05 mkv Note Added: 0022359
2012-11-22 16:07 mkv Assigned To mkv => emv
2012-11-22 16:07 mkv Status reviewed => assigned
2012-11-22 17:12 mkv Note Added: 0022361
2012-11-30 13:12 emv Note Added: 0022480
2012-11-30 13:12 emv Assigned To emv => abv
2012-11-30 13:12 emv Status assigned => resolved
2012-11-30 13:13 emv Note Edited: 0022480 View Revisions
2012-11-30 15:54 abv Note Added: 0022486
2012-11-30 15:54 abv Assigned To abv => bugmaster
2012-11-30 15:54 abv Status resolved => reviewed
2012-11-30 16:38 mkv Assigned To bugmaster => mkv
2012-12-03 17:33 mkv Note Added: 0022525
2012-12-03 17:34 mkv Assigned To mkv => emv
2012-12-03 17:34 mkv Status reviewed => assigned
2012-12-04 11:10 abv Relationship added related to 0023613
2012-12-12 16:01 emv Note Added: 0022679
2012-12-12 16:01 emv Assigned To emv => abv
2012-12-12 16:01 emv Status assigned => resolved
2012-12-12 18:16 abv Assigned To abv => bugmaster
2012-12-12 18:16 abv Status resolved => reviewed
2012-12-13 17:15 mkv Assigned To bugmaster => mkv
2012-12-17 11:00 emv Relationship added parent of 0023648
2012-12-19 11:36 mkv Note Added: 0022760
2012-12-19 11:37 mkv Assigned To mkv => emv
2012-12-19 11:37 mkv Status reviewed => assigned
2012-12-24 14:21 emv Relationship added related to 0023659
2012-12-24 14:22 emv Relationship added related to 0023667
2012-12-24 14:22 emv Relationship added related to 0023666
2012-12-25 09:33 emv Note Added: 0022821
2012-12-25 09:33 emv Assigned To emv => abv
2012-12-25 09:33 emv Status assigned => resolved
2012-12-25 09:39 abv Priority normal => urgent
2012-12-25 09:40 abv Note Added: 0022822
2012-12-25 09:40 abv Assigned To abv => mkv
2012-12-25 09:40 abv Status resolved => reviewed
2012-12-26 10:44 mkv Note Added: 0022843
2012-12-26 10:44 mkv Assigned To mkv => emv
2012-12-26 10:44 mkv Status reviewed => assigned
2012-12-26 12:01 emv Note Added: 0022844
2012-12-26 12:01 emv Assigned To emv => abv
2012-12-26 12:01 emv Status assigned => resolved
2012-12-26 12:11 abv Note Added: 0022845
2012-12-26 12:11 abv Assigned To abv => mkv
2012-12-26 12:11 abv Status resolved => reviewed
2012-12-27 13:43 mkv Note Added: 0022867
2012-12-27 13:44 mkv Assigned To mkv => emv
2012-12-27 13:44 mkv Status reviewed => assigned
2012-12-27 16:27 emv Note Added: 0022871
2012-12-27 16:27 emv Assigned To emv => abv
2012-12-27 16:27 emv Status assigned => resolved
2012-12-27 19:07 abv Note Added: 0022874
2012-12-27 19:07 abv Assigned To abv => mkv
2012-12-27 19:07 abv Status resolved => reviewed
2012-12-28 07:47 abv Note Added: 0022875
2012-12-28 09:23 emv Assigned To mkv => emv
2012-12-28 09:23 emv Status reviewed => assigned
2013-02-04 14:52 mkv Note Added: 0023252
2013-02-04 14:57 bugmaster Note Edited: 0023252 View Revisions
2013-02-08 10:39 emv Note Added: 0023283
2013-02-08 10:39 emv Assigned To emv => abv
2013-02-08 10:39 emv Status assigned => resolved
2013-02-08 11:24 abv Note Added: 0023287
2013-02-08 11:24 abv Assigned To abv => bugmaster
2013-02-08 11:24 abv Status resolved => reviewed
2013-02-08 17:11 mkv Note Added: 0023295
2013-02-08 18:08 mkv Note Added: 0023297
2013-02-08 18:15 mkv Note Added: 0023298
2013-02-08 19:10 mkv Status reviewed => tested
2013-02-11 08:56 emv Note Added: 0023299
2013-02-11 14:49 emv Relationship added parent of 0023749
2013-02-11 14:50 emv Note Edited: 0023299 View Revisions
2013-02-11 17:42 emv Changeset attached => occt master 4e57c75e
2013-02-11 17:42 emv Assigned To bugmaster => emv
2013-02-11 17:42 emv Status tested => verified
2013-02-11 17:42 emv Resolution open => fixed
2013-02-12 15:19 emv Note Edited: 0023299 View Revisions
2013-02-27 11:22 emv Relationship deleted parent of 0023648
2013-03-01 22:19 abv Relationship added related to 0022793
2013-03-01 22:32 abv Relationship added related to 0023366
2013-03-22 00:37 Pawel Relationship added related to 0023849
2013-03-22 17:34 Pawel Relationship added parent of 0023853
2013-04-23 13:35 aiv Status verified => closed
2013-04-29 15:24 aiv Fixed in Version => 6.6.0
2013-10-14 21:01 kgv Relationship added related to 0024258


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker